<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.medias.Calcul"%>
<%@ page import="java.util.ArrayList"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/navCapts.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access.capt"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.access.capt"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		
		<div id="errors"><html:errors/></div>
		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		
		<%--div class="submit">
			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
		</div--%>
		
		<nested:root name="capteursForm">
		<table>
			<tr><th/>
				<%--nested:define id="b_capteurs" property="capteurs"/>
				<bean:define type="java.lang.String" id="nbCapteurs" value="<%=(new Integer(((ArrayList)b_capteurs).size())).toString()%>"/--%>
				<nested:size id="nbCapteurs" property="capteurs"/>
				<bean:write name="nbCapteurs"/>
				<logic:equal name="nbCapteurs" value="1">
					<bean:message key="data.access.capt2" arg0=""/>
				</logic:equal>
				<logic:notEqual name="nbCapteurs" value="1">
					<bean:message key="data.access.capt2" arg0="s"/>
				</logic:notEqual>
			</th></tr>
			<bean:define id="nomTypePrec" value=""/>
			<nested:iterate property="capteurs" indexId="captId">
				<nested:nest property="typeCapteur">
					<nested:define id="nomType" property="typeCapteurNom"/>
				</nested:nest>
				<tr><td>
					<nested:notEqual name="nomType" value="${nomTypePrec}">
						<div id="messages"><bean:write name="nomType"/>&nbsp;:</div>
					</nested:notEqual>
					<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(captId.intValue())%>"/>
					<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
					<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
					<table class="${idP}" style="margin-left: 20px">
						<tr>
							<td nowrap>
								<nested:define id="id" property="capteurId"/>
								<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="id" paramId="idCapt">
									<nested:notEqual property="capteurModele" value="UNKNOWN">
										<nested:write property="capteurModele"/>
										<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
											- <nested:write property="fabriquant.fabriquantNom"/>
										</nested:notEqual>
									</nested:notEqual>
									<nested:equal property="capteurModele" value="UNKNOWN">
										<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
											<nested:write property="fabriquant.fabriquantNom"/>
										</nested:notEqual>
										<nested:equal property="fabriquant.fabriquantNom" value="UNKNOWN">
											Unknown
										</nested:equal>
									</nested:equal>
									<nested:notEqual property="capteurNumserie" value="UNKNOWN">
										(<bean:message key="data.access.capt.nums"/>&nbsp;:&nbsp;<nested:write property="capteurNumserie"/>)
									</nested:notEqual>
								</html:link>
							</td>
						</tr>
					</table>
					<bean:define id="nomTypePrec" value="${nomType}"/>
				</td></tr>
			</nested:iterate>
		</table>
		</nested:root>
	
		<div class="hdp" align="right">
			<html:link page="/data/access/capt.jsp" anchor="top" titleKey="app.hdp">
				<html:img page="/images/utils/hdp1.png"/>
			</html:link>
		</div>
			
		<%--div class="submit">
			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
		</div--%>
	</tiles:put>
</tiles:insert>
