<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.medias.Calcul"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/navJeux.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access.jeux"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.access.jeux"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		<div id="errors"><html:errors/></div>
		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		
		<%--div class="submit">
			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
		</div --%>
		
		<%--jsp:include page="arborescence.jsp"/--%>
		<bean:define id="download" value="download"/>
		<nested:root name="jeuxForm">
		<table>
			<tr><th/>
				<nested:size id="nbJeux" property="jeux"/>
				<bean:write name="nbJeux"/>
				<logic:equal name="nbJeux" value="1">
					<bean:message key="data.access.jeux3"/>
				</logic:equal>
				<logic:notEqual name="nbJeux" value="1">
					<bean:message key="data.access.jeux4"/>
				</logic:notEqual>
			</th></tr>
			<tr><td>
				<html:img page="/images/utils/folder.png" alt="folder"/>
				<bean:message key="data.categ1"/>
			</td></tr>
			<tr><td>
			<table style="margin-left:30px">
			<nested:iterate property="jeux" indexId="jId">
				<nested:nest property="categorie">
					<nested:define id="catNom" property="categorieNom"/>
				</nested:nest>
				<nested:equal name="catNom" value="AVION">
					<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(jId.intValue())%>"/>
					<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
					<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
					<tr class="${idP}"><td width="300px">
						<nested:link page="/MetadataInfo.do" paramProperty="jeuId" paramId="idJeu" titleKey="data.access.metadata.link">
							<nested:write property="jeuNom"/>
						</nested:link>
					</td><td width="160px" align="right">
						<nested:size id="nbFiles" property="fichiers"/>
						<logic:greaterThan name="nbFiles" value="0">
							<%--html:link page="/PrepareFileListAccess.do" titleKey="data.access.download.file" paramId="setPath" paramName="path"--%>
							<logic:notPresent name="SES_USER" scope="session">
								<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
									<%-- html:img page="/images/utils/text.png" altKey="data.access.download.file"/--%>
									<i><bean:write name="nbFiles"/>
									<logic:equal name="nbFiles" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</logic:equal>
									<logic:notEqual name="nbFiles" value="1"> 	
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</logic:notEqual></i>
								</html:link>
							</logic:notPresent>
							<logic:present name="SES_USER" scope="session">
								<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
									<%-- html:img page="/images/utils/text.png" altKey="data.access.download.file"/--%>
									<i><bean:write name="nbFiles"/>
									<logic:equal name="nbFiles" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</logic:equal>
									<logic:notEqual name="nbFiles" value="1"> 	
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</logic:notEqual>
									<%--logic:equal name="dateD" value="<%=dateF%>">
										<bean:message arg0="<%=dateD%>" key="data.access.metadata.file.sameDate"/>
									</logic:equal>
									<logic:notEqual name="dateD" value="<%=dateF%>">
										<bean:message arg0="<%=dateD%>" arg1="<%=dateF%>" key="data.access.metadata.file.differentDate"/>
									</logic:notEqual--%></i>
								</nested:link>
							</logic:present>
						</logic:greaterThan>
						<logic:equal name="nbFiles" value="0">
							<bean:message key="data.access.files.zero"/>
						</logic:equal>					
					</td>
					</tr>
				</nested:equal>
			</nested:iterate>
			</table>
			</td></tr>
			<tr><td>&nbsp;</td></tr>
			<tr><td>
				<html:img page="/images/utils/folder.png" alt="folder"/>
				<bean:message key="data.categ2"/>
			</td></tr>
			<tr><td>
			<table style="margin-left:30px">
			<nested:iterate property="jeux" indexId="jId">
				<nested:nest property="categorie">
					<nested:define id="catNom" property="categorieNom"/>
				</nested:nest>
				<nested:equal name="catNom" value="SURF_FIXE">
					<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(jId.intValue())%>"/>
					<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
					<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
					<tr class="${idP}"><td width="300px">
						<nested:link page="/MetadataInfo.do" paramProperty="jeuId" paramId="idJeu" titleKey="data.access.metadata.link">
							<nested:write property="jeuNom"/>
						</nested:link>
					</td><td width="160px" align="right">
						<nested:size id="nbFiles" property="fichiers"/>
						<logic:greaterThan name="nbFiles" value="0">
							<%--html:link page="/PrepareFileListAccess.do" titleKey="data.access.download.file" paramId="setPath" paramName="path"--%>
							<logic:notPresent name="SES_USER" scope="session">
								<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
									<%-- html:img page="/images/utils/text.png" altKey="data.access.download.file"/--%>
									<i><bean:write name="nbFiles"/>
									<logic:equal name="nbFiles" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</logic:equal>
									<logic:notEqual name="nbFiles" value="1"> 	
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</logic:notEqual></i>
								</html:link>
							</logic:notPresent>
							<logic:present name="SES_USER" scope="session">
								<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
									<%-- html:img page="/images/utils/text.png" altKey="data.access.download.file"/--%>
									<i><bean:write name="nbFiles"/>
									<logic:equal name="nbFiles" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</logic:equal>
									<logic:notEqual name="nbFiles" value="1">
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</logic:notEqual>
									<%--logic:equal name="dateD" value="<%=dateF%>">
										<bean:message arg0="<%=dateD%>" key="data.access.metadata.file.sameDate"/>
									</logic:equal>
									<logic:notEqual name="dateD" value="<%=dateF%>">
										<bean:message arg0="<%=dateD%>" arg1="<%=dateF%>" key="data.access.metadata.file.differentDate"/>
									</logic:notEqual--%></i>
								</nested:link>
							</logic:present>
						</logic:greaterThan>
						<logic:equal name="nbFiles" value="0">
							<bean:message key="data.access.files.zero"/>
						</logic:equal>
					</td></tr>
				</nested:equal>
			</nested:iterate>
			</table>
			</td></tr>
			<tr><td>&nbsp;</td></tr>
			<tr><td>
				<html:img page="/images/utils/folder.png" alt="folder"/>
				<bean:message key="data.categ3"/>
			</td></tr>
			<tr><td>
			<table style="margin-left:30px">
			<nested:iterate property="jeux" indexId="jId">
				<nested:nest property="categorie">
					<nested:define id="catNom" property="categorieNom"/>
				</nested:nest>
				<nested:equal name="catNom" value="SURF_MOBILE">
					<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(jId.intValue())%>"/>
					<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
					<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
					<tr class="${idP}"><td width="300px">
						<nested:link page="/MetadataInfo.do" paramProperty="jeuId" paramId="idJeu" titleKey="data.access.metadata.link">
							<nested:write property="jeuNom"/>
						</nested:link>
					</td><td width="160px" align="right">
						<nested:size id="nbFiles" property="fichiers"/>
						<logic:greaterThan name="nbFiles" value="0">
							<%--html:link page="/PrepareFileListAccess.do" titleKey="data.access.download.file" paramId="setPath" paramName="path"--%>
							<logic:notPresent name="SES_USER" scope="session">
								<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
									<%--html:img page="/images/utils/text.png" altKey="data.access.download.file"/--%>
									<i><bean:write name="nbFiles"/>
									<logic:equal name="nbFiles" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</logic:equal>
									<logic:notEqual name="nbFiles" value="1"> 	
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</logic:notEqual></i>
								</html:link>
							</logic:notPresent>
							<logic:present name="SES_USER" scope="session">
								<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
									<%-- html:img page="/images/utils/text.png" altKey="data.access.download.file"/--%>
									<i><bean:write name="nbFiles"/>
									<logic:equal name="nbFiles" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</logic:equal>
									<logic:notEqual name="nbFiles" value="1"> 	
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</logic:notEqual>
									<%--logic:equal name="dateD" value="<%=dateF%>">
										<bean:message arg0="<%=dateD%>" key="data.access.metadata.file.sameDate"/>
									</logic:equal>
									<logic:notEqual name="dateD" value="<%=dateF%>">
										<bean:message arg0="<%=dateD%>" arg1="<%=dateF%>" key="data.access.metadata.file.differentDate"/>
									</logic:notEqual--%></i>
								</nested:link>
							</logic:present>
						</logic:greaterThan>
						<logic:equal name="nbFiles" value="0">
							<bean:message key="data.access.files.zero"/>
						</logic:equal>
					</td></tr>
				</nested:equal>
			</nested:iterate>
			</table>
			</td></tr>
		</table>
		</nested:root>
		
		<div class="hdp" align="right">
			<html:link page="/data/access/jeux.jsp" anchor="top" titleKey="app.hdp">
				<html:img page="/images/utils/hdp1.png"/>
			</html:link>
		</div>
		<%--div class="submit">
			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
		</div--%>
		
	</tiles:put>
</tiles:insert>
