<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.medias.Calcul"%>
<%@ page import="com.medias.xml.metadata.ExactTime"%>
<%@ page import="com.medias.xml.metadata.Metadata"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/navJeux.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.upload.metadata"/>
	</tiles:put>
<bean:define id="download" value="download"/>
<nested:root name="metadataForm">
	<tiles:put name="bodytitle" type="string">
			<nested:nest property="metadata">
				<nested:nest property="pres">
					<bean:message key="data.access.metadata.title"/> <nested:write property="nom"/>
				</nested:nest>
			</nested:nest>
	</tiles:put>

	<tiles:put name="body" type="string">

		<bean:message key="data.access.metadata.intro"/>
		<div id="errors"><html:errors/></div>
		
		<html:form action="/UpdateMetadata" enctype="multipart/form-data">
			<nested:nest property="metadata">	
			
				<%--div class="submit">
					<html:link page="/JeuxAccess.do"><bean:message key="data.access.jeux"/></html:link>
				</div--%>
				<div id="level2">
					<hr/>
					<nested:nest property="pres">
						<nested:define id="destination" property="dest"/>
						<nested:define id="nomJeu" property="nom"/>
						<div class="title"><bean:message key="data.upload.metadata.presentation"/></div>
						<div id="level2">
							<table>
								<tr>
									<td style="width:120px;"><bean:message key="data.upload.metadata.presentation.nom"/> : </td>
									<td>
										<bean:write name="nomJeu"/>
									</td>	
								</tr>
								<tr>
									<td style="width:120px;"><bean:message key="data.upload.metadata.presentation.cat"/> : </td>
									<td>
										<nested:write property="cat"/>
									</td>	
								</tr>
								<tr>
									<td><bean:message key="data.upload.metadata.presentation.def"/> : </td>
									<td>
										<nested:write property="def" filter="false"/>
									</td>					
								</tr>
							</table>
						</div>
					</nested:nest>
					<div class="hdp">
						<html:link page="/data/access/metadataInfo.jsp" anchor="top" titleKey="app.hdp">
							<html:img page="/images/utils/hdp1.png"/>
						</html:link>
					</div>
					<hr/>
					<nested:nest property="desc">
						<div class="title"><bean:message key="data.upload.metadata.description"/></div>
						<div id="level2">
							<table>
								<tr>
									<td style="width:220px;"><bean:message key="data.upload.metadata.description.org"/> : </td>
									<td>
										<nested:write property="organisme"/>
									</td>
								</tr>
								<nested:nest property="pi">
									<nested:define id="b_mail" property="mail"/>
									<nested:define id="b_urlOrg" property="urlOrganisme"/>
									<nested:notEqual name="b_mail" value="">
									<tr>
										<td><bean:message key="data.upload.metadata.description.pi"/> : </td>
										<td>
											<table>
												<tr>
													<td><nested:write property="prenom"/>&nbsp;<nested:write property="nom"/></td>
												</tr>
												<tr>
													<td>
														<logic:equal name="destination" value="SGBD">
															<html:link href="${b_urlOrg}">
																<nested:write property="organisme"/>
															</html:link>
														</logic:equal>
														<logic:equal name="destination" value="FTP">
															<nested:write property="organisme"/>
														</logic:equal>
													</td>
												</tr>
												<tr>
													<td>
														<html:link href="mailto:${b_mail}"><nested:write property="mail"/></html:link>
													</td>
												</tr>											
											</table>
										</td>
									</tr>
									</nested:notEqual>
								</nested:nest>
								<nested:nest property="tech">
									<nested:define id="b_mail" property="mail"/>
									<nested:define id="b_mailOrg" property="mailOrganisme"/>
									<nested:define id="b_urlOrg" property="urlOrganisme"/>
									<tr>
										<td><bean:message key="data.upload.metadata.description.tech"/> : </td>
										<td>
											<table>
												<tr>
													<td><nested:write property="prenom"/>&nbsp;<nested:write property="nom"/></td>
												</tr>
												<tr>
													<td>
														<logic:equal name="destination" value="SGBD">
															<html:link href="${b_urlOrg}">
																<nested:write property="organisme"/>
															</html:link>
														</logic:equal>
														<logic:equal name="destination" value="FTP">
															<nested:write property="organisme"/>
														</logic:equal>
													</td>
												</tr>
												<tr>
													<td><html:link href="mailto:${b_mail}"><nested:write property="mail"/></html:link></td>
												</tr>
											</table>
										</td>
									</tr>
								</nested:nest>
								<logic:equal name="destination" value="SGBD">
									<nested:define id="b_nbfichiers" property="nbFichiers"/>
									<tr>
										<td><bean:message key="data.access.metadata.nbfichiers"/> : </td>
										<td>
											<bean:write name="b_nbfichiers"/>
											<logic:notEqual name="b_nbfichiers" value="0">
												(<logic:notPresent name="SES_USER" scope="session">
													<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
														<bean:message key="data.access.metadata.fichierslink"/>
													</html:link>
												</logic:notPresent>
												<logic:present name="SES_USER" scope="session">
													<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
														<bean:message key="data.access.metadata.fichierslink"/>
													</nested:link>
												</logic:present>)
											</logic:notEqual>
										</td>
									</tr>
									<nested:define id="b_nbmesures" property="nbMesures"/>
									<tr>
										<td><bean:message key="data.access.metadata.nbmesures"/> : </td>
										<td>
											<nested:write name="b_nbmesures"/>
										</td>
									</tr>
									<nested:nest property="dateDeb">
										<nested:define id="b_dateDeb" property="date"/>
										<nested:define id="b_heureDeb" property="heure"/>
									</nested:nest>
									<nested:notEqual name="b_dateDeb" value="">
										<tr>
											<td><bean:message key="data.access.metadata.datedeb"/> : </td>
											<td>
												<nested:write name="b_dateDeb"/> <bean:message key="data.access.metadata.heure"/> <nested:write name="b_heureDeb"/>
											</td>
										</tr>
									</nested:notEqual>
									<nested:nest property="dateFin">
										<nested:define id="b_dateFin" property="date"/>
										<nested:define id="b_heureFin" property="heure"/>
									</nested:nest>
									<nested:notEqual name="b_dateFin" value="">
										<tr>
											<td><bean:message key="data.access.metadata.datefin"/> : </td>
											<td>
												<nested:write name="b_dateFin"/> <bean:message key="data.access.metadata.heure"/> <nested:write name="b_heureFin"/>
											</td>
										</tr>
									</nested:notEqual>
									<nested:define id="b_latmin" property="lat_min"/>
									<nested:define id="b_latmax" property="lat_max"/>
									<logic:notEqual name="b_latmin" value="${b_latmax}">
										<logic:notEqual name="b_latmin" value="0">
											<tr>
												<td><bean:message key="data.upload.metadata.plat.latmin"/> : </td>
												<td>
													<nested:write name="b_latmin"/> <bean:message key="unit.deg"/>
												</td>
											</tr>
										</logic:notEqual>
										<logic:notEqual name="b_latmax" value="0">
											<tr>
												<td><bean:message key="data.upload.metadata.plat.latmax"/> : </td>
												<td>
													<nested:write name="b_latmax"/> <bean:message key="unit.deg"/>
												</td>
											</tr>
										</logic:notEqual>
									</logic:notEqual>
									<logic:equal name="b_latmin" value="${b_latmax}">
										<logic:notEqual name="b_latmin" value="0">
											<tr>
												<td><bean:message key="data.access.plat.lat"/> : </td>
												<td>
													<nested:write name="b_latmin"/> <bean:message key="unit.deg"/>
												</td>
											</tr>
										</logic:notEqual>
									</logic:equal>
									<nested:define id="b_lonmin" property="lon_min"/>
									<nested:define id="b_lonmax" property="lon_max"/>
									<logic:notEqual name="b_lonmin" value="${b_lonmax}">
										<logic:notEqual name="b_lonmin" value="0">
											<tr>
												<td><bean:message key="data.upload.metadata.plat.lonmin"/> : </td>
												<td>
													<nested:write name="b_lonmin"/> <bean:message key="unit.deg"/>
												</td>
											</tr>
										</logic:notEqual>
										<logic:notEqual name="b_lonmax" value="0">
											<tr>
												<td><bean:message key="data.upload.metadata.plat.lonmax"/> : </td>
												<td>
													<nested:write name="b_lonmax"/> <bean:message key="unit.deg"/>
												</td>
											</tr>
										</logic:notEqual>
									</logic:notEqual>
									<logic:equal name="b_lonmin" value="${b_lonmax}">
										<logic:notEqual name="b_lonmin" value="0">
											<tr>
												<td><bean:message key="data.access.plat.lon"/> : </td>
												<td>
													<nested:write name="b_lonmin"/> <bean:message key="unit.deg"/>
												</td>
											</tr>
										</logic:notEqual>
									</logic:equal>
									<nested:define id="b_altmin" property="alt_min"/>
									<nested:define id="b_altmax" property="alt_max"/>
									<logic:notEqual name="b_altmin" value="${b_altmax}">
										<logic:notEqual name="b_altmin" value="0">
											<tr>
												<td><bean:message key="data.upload.metadata.plat.altmin"/> : </td>
												<td>
													<nested:write name="b_altmin"/> m
												</td>
											</tr>
										</logic:notEqual>
										<logic:notEqual name="b_altmax" value="0">
											<tr>
												<td><bean:message key="data.upload.metadata.plat.altmax"/> : </td>
												<td>
													<nested:write name="b_altmax"/> m
												</td>
											</tr>
										</logic:notEqual>
										<logic:equal name="b_altmin" value="${b_altmax}">
											<logic:notEqual name="b_altmin" value="0">
												<tr>
													<td><bean:message key="data.access.plat.alt"/> : </td>
													<td>
														<nested:write name="b_altmin"/> m
													</td>
												</tr>
											</logic:notEqual>
										</logic:equal>
									</logic:notEqual>
								</logic:equal>
							</table>
						</div>
					</nested:nest>
					<div class="hdp">
						<html:link page="/data/access/metadataInfo.jsp" anchor="top" titleKey="app.hdp">
							<html:img page="/images/utils/hdp1.png"/>
						</html:link>
					</div>
					<hr/>
					<div class="title"><bean:message key="data.upload.metadata.contenu_prevu"/></div>
					<bean:define type="java.lang.String" id="contenuP" value="contenu_prevu"/>
					<div id="level2">
						<nested:nest property="contenuPrevu">
							<nested:size id="nbPlateformes" property="plateformes"/>
							<table>
								<tr><th><bean:message key="data.upload.metadata.plateformes"/> (<bean:write name="nbPlateformes"/>)</th></tr>
								<tr><td>
									<nested:iterate property="plateformes" indexId="platId">
										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(platId.intValue())%>"/>
										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
										<table class="${idP}">
											<logic:equal name="destination" value="SGBD">
												<tr>
													<td style="width:155px;" nowrap>
														<nested:define id="idPl" property="idPlateforme"/>
														<bean:define id="id" value="${idPl}_${nomJeu}"/>
														<html:link page="/DescPlateforme.do" titleKey="data.access.plat4" paramName="id" paramId="idPlat">
															<nested:write property="nom"/>
														</html:link>
													</td>
												</tr>
											</logic:equal>
											<logic:equal name="destination" value="FTP">
												<tr>
													<td><bean:message key="data.upload.metadata.plat.nom"/> : </td>
													<td><nested:write property="nom"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.metadata.desc"/> : </td>
													<td><nested:write property="desc"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.plat.latmin"/> : </td>
													<td><nested:write property="lat_min"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.plat.latmax"/> : </td>
													<td><nested:write property="lat_max"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.plat.lonmin"/> : </td>
													<td><nested:write property="lon_min"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.plat.lonmax"/> : </td>
													<td><nested:write property="lon_max"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.plat.altmin"/> : </td>
													<td><nested:write property="alt_min"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.plat.altmax"/> : </td>
													<td><nested:write property="alt_max"/></td>
												</tr>
											</logic:equal>
										</table>
									</nested:iterate>
								</td></tr>
							</table>
							<div class="hdp">
								<html:link page="/data/access/metadataInfo.jsp" anchor="top" titleKey="app.hdp">
									<html:img page="/images/utils/hdp1.png"/>
								</html:link>
							</div>
							<br/>
							<nested:size id="nbParametres" property="params"/>
							<table>
								<tr><th><bean:message key="data.upload.metadata.parametres"/> (<bean:write name="nbParametres"/>)</th></tr>
								<tr><td>
									<nested:iterate property="params" indexId="paramId">
										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(paramId.intValue())%>"/>
										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
										<table class="${idP}">
											<logic:equal name="destination" value="SGBD">
												<tr>
													<td style="width:155px;" nowrap>
														<nested:define id="idPr" property="idParametre"/>
														<bean:define id="id" value="${idPr}_${nomJeu}"/>
														<html:link page="/DescParametre.do" titleKey="data.access.param4" paramName="id" paramId="idParam">
															<nested:write property="nom"/> (<nested:write property="abrev"/>)
														</html:link>
													</td>
												</tr>
											</logic:equal>
											<logic:equal name="destination" value="FTP">
												<tr>
													<td><bean:message key="data.upload.metadata.param.nom"/> : </td>
													<td><nested:write property="nom"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.param.abrev"/> : </td>
													<td><nested:write property="abrev"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.param.unite"/> : </td>
													<td><nested:write property="unite"/></td>
												</tr>
											</logic:equal>
										</table>
									</nested:iterate>
								</td></tr>
							</table>
							<div class="hdp">
								<html:link page="/data/access/metadataInfo.jsp" anchor="top" titleKey="app.hdp">
									<html:img page="/images/utils/hdp1.png"/>
								</html:link>
							</div>
							<br/>
							<nested:size id="nbCapteurs" property="capteurs"/>
							<table>
								<tr><th><bean:message key="data.upload.metadata.capteurs"/> (<bean:write name="nbCapteurs"/>)</th></tr>
								<tr><td>
									<nested:iterate property="capteurs" indexId="captId">
										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(captId.intValue())%>"/>
										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
										<table class="${idP}">
											<logic:equal name="destination" value="SGBD">
												<tr>
													<td style="width:155px;" nowrap>
														<nested:define id="idC" property="idCapteur"/>
														<bean:define id="id" value="${idC}_${nomJeu}"/>
														<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="id" paramId="idCapt">
															<b><nested:write property="type"/></b>
															<nested:notEqual property="modele" value="UNKNOWN">
																- <nested:write property="modele"/>
															</nested:notEqual>
															<nested:notEqual property="fabriquant" value="UNKNOWN">
																- <nested:write property="fabriquant"/>
															</nested:notEqual>
															<nested:notEqual property="num" value="UNKNOWN">
																(<bean:message key="data.access.capt.nums"/>&nbsp;:&nbsp;<nested:write property="num"/>)
															</nested:notEqual>
														</html:link>
													</td>
												</tr>
											</logic:equal>
											<logic:equal name="destination" value="FTP">
												<tr>
													<td><bean:message key="data.upload.metadata.capteur.type"/> : </td>
													<td><nested:write property="type"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.capteur.fab"/> : </td>
													<td><nested:write property="fabriquant"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.capteur.modele"/> : </td>
													<td><nested:write property="modele"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.capteur.nums"/> : </td>
													<td><nested:write property="num"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.capteur.etalon"/> : </td>
													<td><nested:write property="etalon"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.capteur.plat"/> : </td>
													<td><nested:write property="nomPlateforme"/></td>
												</tr>
											</logic:equal>
										</table>
									</nested:iterate>
								</td></tr>
							</table>														
						</nested:nest>
					</div>
					<div class="hdp">
						<html:link page="/data/upload/metadata.jsp" anchor="top" titleKey="app.hdp">
							<html:img page="/images/utils/hdp1.png"/>
						</html:link>
					</div>
					<logic:equal name="destination" value="SGBD">
						<hr/>
						<div class="title"><bean:message key="data.upload.metadata.integration"/></div>
						<nested:nest property="integ">
							<nested:define id="b_nbFiles" property="nbFiles"/>
							<nested:nest property="resp">
								<nested:define id="b_prenom" property="prenom"/>
								<nested:define id="b_nom" property="nom"/>
								<nested:define id="b_organisme" property="organisme"/>
								<nested:define id="b_mail" property="mail"/>
			<%--							<nested:define id="b_adresse" property="adresse"/>
										<nested:define id="b_descOrg" property="descriptionOrganisme"/>
										<nested:define id="b_mailOrg" property="mailOrganisme"/>--%>
								<nested:define id="b_urlOrg" property="urlOrganisme"/>
							</nested:nest>
							<nested:nest property="dateD">
								<nested:define id="b_dateD" property="date"/>
							</nested:nest> 
							<nested:nest property="dateF">
								<nested:define id="b_dateF" property="date"/>
							</nested:nest>
							<div id="level2">
								<table>
									<tr>
										<td style="width:120px;"><bean:message key="data.upload.metadata.integration.resp"/> : </td>
										<td>
											<table>
												<tr>
													<td>
														<nested:write name="b_prenom"/>&nbsp;<nested:write name="b_nom"/>
													</td>
												</tr>
												<tr>
													<td>
														<html:link href="${b_urlOrg}">
															<bean:write name="b_organisme"/>
														</html:link>
													</td>
												</tr>
												<tr>
													<td>
														<html:link href="mailto:${b_mail}"><nested:write name="b_mail"/></html:link>
													</td>
												</tr>											
											</table>
										</td>
									</tr>
								</table>
								<nested:greaterThan name="b_nbFiles" value="0">
									<logic:notPresent name="SES_USER" scope="session">
										<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
											<bean:write name="b_nbFiles"/>
											<nested:equal name="b_nbFiles" value="1">
												<bean:message arg0="" key="data.access.metadata.file2"/>&nbsp;
											</nested:equal>
											<nested:greaterThan name="b_nbFiles" value="1">
												<bean:message arg0="s" key="data.access.metadata.file2"/>&nbsp;
											</nested:greaterThan>
										</html:link>
									</logic:notPresent>
									<logic:present name="SES_USER" scope="session">
										<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
											<bean:write name="b_nbFiles"/>
											<nested:equal name="b_nbFiles" value="1">
												<bean:message arg0="" key="data.access.metadata.file2"/>&nbsp;
											</nested:equal>
											<nested:greaterThan name="b_nbFiles" value="1">
												<bean:message arg0="s" key="data.access.metadata.file2"/>&nbsp;
											</nested:greaterThan>
										</nested:link>
									</logic:present>
									<nested:notEqual name="b_dateD" value="${b_dateF}">
										<bean:message arg0="${b_dateD}" arg1="${b_dateF}" key="data.access.metadata.file.differentDate"/>&nbsp;
									</nested:notEqual>
									<nested:equal name="b_dateD" value="${b_dateF}">
										<bean:message arg0="${b_dateD}" key="data.access.metadata.file.sameDate"/>&nbsp;
									</nested:equal>
								</nested:greaterThan>
								<nested:equal name="b_nbFiles" value="0">
									<bean:message key="data.access.files.zero"/>&nbsp;
								</nested:equal>
							</div>
						</nested:nest>
						<div class="hdp">
							<html:link page="/data/access/metadataInfo.jsp" anchor="top" titleKey="app.hdp">
								<html:img page="/images/utils/hdp1.png"/>
							</html:link>
						</div>
					</logic:equal>
				</div>
				<div class="submit">
					<html:link page="/JeuxAccess.do"><bean:message key="data.access.jeux"/></html:link>
				</div>
			</nested:nest>
		</html:form>
	</tiles:put>
</nested:root>
</tiles:insert>
