<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.medias.Calcul"%>
<%@ page import="java.util.ArrayList"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/navPlats.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access.plat"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.access.plat"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		
		<div id="errors"><html:errors/></div>
		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		
		<%--div class="submit">
			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
		</div--%>
		
		<nested:root name="plateformesForm">
		<table>
			<tr><th/>
				<%--nested:define id="b_plateformes" property="plateformes"/>
				<bean:define type="java.lang.String" id="nbPlateformes" value="<%=(new Integer(((ArrayList)b_plateformes).size())).toString()%>"/--%>
				<nested:size id="nbPlateformes" property="plateformes"/>
				<bean:write name="nbPlateformes"/>
				<logic:equal name="nbPlateformes" value="1">
					<bean:message key="data.access.plat2" arg0=""/>
				</logic:equal>
				<logic:notEqual name="nbPlateformes" value="1">
					<bean:message key="data.access.plat2" arg0="s"/>
				</logic:notEqual>

			</th></tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<div id="messages"><bean:message key="data.access.plat.mobile"/>&nbsp;:</div>
					<nested:iterate property="plateformes" indexId="platId">
						<nested:nest property="typePlateforme">
							<nested:define id="typePlat" property="typePlateformeNom"/>
						</nested:nest>
						<nested:equal name="typePlat" value="MOBILE">
						<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(platId.intValue())%>"/>
						<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
						<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
						<table class="${idP}" style="margin-left: 20px">
							<tr>
								<td style="width:155px;" nowrap>
									<nested:define id="id" property="plateformeId"/>
									<html:link page="/DescPlateforme.do" titleKey="data.access.plat4" paramName="id" paramId="idPlat">
										<nested:write property="plateformeNom"/>
									</html:link>
								</td>
							</tr>
						</table>
						</nested:equal>
					</nested:iterate>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<div id="messages"><bean:message key="data.access.plat.fixe"/>&nbsp;:</div>
					<nested:iterate property="plateformes" indexId="platId">
						<nested:nest property="typePlateforme">
							<nested:define id="typePlat" property="typePlateformeNom"/>
						</nested:nest>
						<nested:equal name="typePlat" value="FIXED">
						<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(platId.intValue())%>"/>
						<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
						<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
						<table class="${idP}" style="margin-left: 20px">
							<tr>
								<td style="width:155px;" rowspan="2" nowrap>
									<nested:define id="id" property="plateformeId"/>
									<html:link page="/DescPlateforme.do" titleKey="data.access.plat4" paramName="id" paramId="idPlat">
										<nested:write property="plateformeNom"/>
									</html:link>
								</td>
							</tr>
						</table>
						</nested:equal>
					</nested:iterate>
				</td>
			</tr>
			<tr>
				<td>&nbsp;</td>
			</tr>
		</table>

		<div class="hdp" align="right">
			<html:link page="/data/access/plat.jsp" anchor="top" titleKey="app.hdp">
				<html:img page="/images/utils/hdp1.png"/>
			</html:link>
		</div>
		</nested:root>

		<%--div class="submit">
			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
		</div--%>
	</tiles:put>
</tiles:insert>
