<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>

	<tiles:put name="title" type="string">
		<%-- Place here the page title --%>
		<bean:message key="data.upload.deleteFile.title"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<%-- Place here the title of the body of your page (can be <bean:message .../>) --%>
		<bean:message key="data.upload.deleteFile.title"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		<%-- Place here the content of your page --%>
		<div id="login">	
			<html:form action="/DeleteFile">
				<bean:message key="data.upload.deleteFile.intro"/> <nested:write property="name"/> ?
				<br><br>
				&nbsp;
				
				<div class="submit">
					<html:cancel><bean:message key="app.no"/></html:cancel>
					<html:submit><bean:message key="app.yes"/></html:submit>
				</div>		
			</html:form>
		</div>														
	</tiles:put>
</tiles:insert>
	