<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.medias.Calcul"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="com.medias.DateTime"%>
<%@ page import="com.medias.xml.metadata.Metadata"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<script type="text/javascript">
	var messContact = '<bean:message key="data.upload.metadata.contact"/>';
	var messNom = '<bean:message key="data.upload.metadata.contact.nom"/>';
	var messPrenom = '<bean:message key="data.upload.metadata.contact.prenom"/>';
	var messOrg = '<bean:message key="data.upload.metadata.contact.org"/>';
	var messMail = '<bean:message key="data.upload.metadata.contact.mail"/>';
	var messMdp = '<bean:message key="data.upload.metadata.contact.mdp"/>';
	var messRole = '<bean:message key="data.upload.metadata.contact.role"/>';
	var messDef = '<bean:message key="data.upload.metadata.description.default"/>';
	var messPi = '<bean:message key="data.upload.metadata.description.pi"/>';
	var messTech = '<bean:message key="data.upload.metadata.description.tech"/>';
	var messDelPers = '<bean:message key="data.upload.metadata.deletePers"/>';
	var messPlat = '<bean:message key="data.upload.metadata.plat"/>';
	var messPlatNom = '<bean:message key="data.upload.metadata.plat.nom"/>';
	var messOth = '<bean:message key="data.upload.metadata.nomoth"/>';
	var messDesc = '<bean:message key="data.metadata.desc"/>';
	var messPlatImg = '<bean:message key="data.upload.metadata.plat.img"/>';
	var messPlatLatMin = '<bean:message key="data.upload.metadata.plat.latmin"/>';
	var messPlatLatMax = '<bean:message key="data.upload.metadata.plat.latmax"/>';
	var messPlatLonMin = '<bean:message key="data.upload.metadata.plat.lonmin"/>';
	var messPlatLonMax = '<bean:message key="data.upload.metadata.plat.lonmax"/>';
	var messPlatAltMin = '<bean:message key="data.upload.metadata.plat.altmin"/>';
	var messPlatAltMax = '<bean:message key="data.upload.metadata.plat.altmax"/>';
	var messPlatLatForm = '<bean:message key="data.upload.metadata.plat.lat.format"/>';
	var messPlatLonForm = '<bean:message key="data.upload.metadata.plat.lon.format"/>';
	var messDelPlat = '<bean:message key="data.upload.metadata.deletePlat"/>';
	var messCapt = '<bean:message key="data.upload.metadata.capteur"/>';
	var messCaptType = '<bean:message key="data.upload.metadata.capteur.type"/>';
	var messCaptFab = '<bean:message key="data.upload.metadata.capteur.fab"/>';
	var messCaptMod = '<bean:message key="data.upload.metadata.capteur.modele"/>';
	var messCaptNum = '<bean:message key="data.upload.metadata.capteur.nums"/>';
	var messCaptEta = '<bean:message key="data.upload.metadata.capteur.etalon"/>';
	var messCaptPlat = '<bean:message key="data.upload.metadata.capteur.plat"/>';
	var messDelCapt = '<bean:message key="data.upload.metadata.deleteCapt"/>';
	var messParam = '<bean:message key="data.upload.metadata.param"/>';
	var messParamNom = '<bean:message key="data.upload.metadata.param.nom"/>';
//	var messParamAb = '<bean:message key="data.upload.metadata.param.abrev"/>';
	var messParamCat = '<bean:message key="data.upload.metadata.param.cat"/>';
	var messParamUnit = '<bean:message key="data.upload.metadata.param.unite"/>';
	var messParamCapt = '<bean:message key="data.upload.metadata.param.capt"/>';
	var messDelParam = '<bean:message key="data.upload.metadata.deleteParam"/>';
</script>

<tiles:insert page="/resources/templates/template.jsp" flush="true">
	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>
	<bean:define type="java.lang.String" id="contextPath" value="<%=request.getContextPath()%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.upload.metadata"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<nested:root name="metadataForm">
			<nested:nest property="metadata">
				<nested:nest property="pres">
					<bean:message key="data.upload.metadata.title"/> <nested:write property="nom"/>
				</nested:nest>
			</nested:nest>
		</nested:root>
	</tiles:put>

	<tiles:put name="body" type="string">
	
		<bean:message key="data.upload.metadata.intro"/>
		<div id="errors"><html:errors/></div>
		
		<ul>
		<li><a href="#presentation_gen"><bean:message key="data.upload.metadata.presentation.link"/></a></li>
		<li><a href="#desc_jeu"><bean:message key="data.upload.metadata.description.link"/></a></li>
		<li><a href="#platefs"><bean:message key="data.upload.metadata.plateformes"/></a></li>
		<li><a href="#capts"><bean:message key="data.upload.metadata.capteurs"/></a></li>
		<li><a href="#params"><bean:message key="data.upload.metadata.parametres"/></a></li>
		<li><a href="#integr_data"><bean:message key="data.upload.metadata.integration.link"/></a></li>
		</ul>
		
		<html:form action="/UpdateMetadata" method="POST" enctype="multipart/form-data">
			<nested:nest property="metadata">	
				<div id="level2">
					<div class="submit">
						<html:cancel><bean:message key="app.cancel"/></html:cancel>
						<html:submit property="mess[0]"><bean:message key="app.submit"/></html:submit>
					</div>																
				
					&nbsp;
					<hr/>
					<nested:nest property="pres">
						<div class="title"><a name="presentation_gen"></a>
						<bean:message key="data.upload.metadata.presentation"/></div>
						<div id="level2">
							<table>
								<tr>
									<td><bean:message key="data.upload.metadata.presentation.nom"/> : </td>
									<td>
<%--										<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:text property="nom"/>
										</logic:equal>
										<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:write property="nom"/>
										</logic:notEqual> --%>

										<nested:write property="nom"/>
									</td>	
								</tr>
								<tr>				
									<td><bean:message key="data.upload.metadata.presentation.def"/> : </td>
									<td>
										<%--logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur"--%>
										<logic:equal name="SES_RIGHTS" scope="session" value="write">
											<nested:textarea cols="50" property="def"/>
										</logic:equal>
										<%--logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur"--%>
										<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
											<nested:write property="def"/>
										</logic:notEqual>
									</td>					
								</tr>
								<tr>
									<td rowspan="2"><bean:message key="data.upload.metadata.presentation.dest"/> : </td>
									<td>
										<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:radio property="dest" value="SGBD">
												<bean:message key="data.upload.metadata.presentation.dest.sgbd"/>
											</nested:radio>
										</logic:equal>
										<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:radio disabled="true" property="dest" value="SGBD">
												<bean:message key="data.upload.metadata.presentation.dest.sgbd"/>
											</nested:radio>
										</logic:notEqual>
									</td>
								</tr>
								<tr>
									<td>
										<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:radio property="dest" value="FTP">
												<bean:message key="data.upload.metadata.presentation.dest.ftp"/>
											</nested:radio>		
										</logic:equal>
										<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:radio disabled="true" property="dest" value="FTP">
												<bean:message key="data.upload.metadata.presentation.dest.ftp"/>
											</nested:radio>		
										</logic:notEqual>
									</td>
								</tr>
								<tr>
									<td rowspan="5"><bean:message key="data.upload.metadata.presentation.cat"/> * : </td>
									<td>
										<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:radio property="cat" value="AVION"><bean:message key="data.categ1"/></nested:radio>
										</logic:equal>
										<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:radio disabled="true" property="cat" value="AVION"><bean:message key="data.categ1"/></nested:radio>
										</logic:notEqual>
									</td>
								</tr>
								<tr><td>
									<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
										<nested:radio property="cat" value="SURF_FIXE"><bean:message key="data.categ2"/></nested:radio>
									</logic:equal>
									<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
										<nested:radio disabled="true" property="cat" value="SURF_FIXE"><bean:message key="data.categ2"/></nested:radio>
									</logic:notEqual>
								</td></tr>
								<tr><td>
									<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
										<nested:radio property="cat" value="SURF_MOBILE"><bean:message key="data.categ3"/></nested:radio>
									</logic:equal>
									<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
										<nested:radio disabled="true" property="cat" value="SURF_MOBILE"><bean:message key="data.categ3"/></nested:radio>
									</logic:notEqual>
								</td></tr>
							</table>
							<br><br>
							<table>
								<tr><th/><bean:message key="data.upload.metadata.contacts"/></th></tr>
								<tr><td id="cadreContacts">
									<nested:iterate property="contacts" indexId="persId">
										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(persId.intValue())%>"/>
										<nested:define property="nom" id="contactNom"/>
										<nested:define property="prenom" id="contactPrenom"/>
										<nested:define property="organisme" id="contactOrg"/>
										<nested:define property="mail" id="contactMail"/>
										<nested:define property="mdp" id="contactMdp"/>
										<nested:define property="role" id="contactRole"/>
										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
										<table class="${idP}">
											<tr>
												<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur"><bean:define id="nbCol" value="8"/></logic:equal>
												<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur"><bean:define id="nbCol" value="7"/></logic:notEqual>
													<td rowspan="${nbCol}" nowrap>
													<bean:message key="data.upload.metadata.contact"/> <nested:write name="persId"/></td>
												<td><bean:message key="data.upload.metadata.contact.nom"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
														<input type="text" id="contactNom_${persId}" name="metadata.pres.contacts[${persId}].nom" value="${contactNom}"/>
														<%--nested:text property="nom"/--%>
													</logic:equal>
													<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
														<nested:write property="nom"/>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.contact.prenom"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
														<input type="text" id="contactPrenom_${persId}" name="metadata.pres.contacts[${persId}].prenom" value="${contactPrenom}"/>
														<%--nested:text property="prenom"/--%>
													</logic:equal>
													<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">	
														<nested:write property="prenom"/>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.contact.org"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
														<input type="text" id="contactOrg_${persId}" name="metadata.pres.contacts[${persId}].org" value="${contactOrg}"/>
														<%--nested:text property="organisme"/--%>
													</logic:equal>
													<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
														<nested:write property="organisme"/>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.contact.mail"/> * : </td>
												<td colspan="2">
													<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
														<input type="text" id="contactMail_${persId}" name="metadata.pres.contacts[${persId}].mail" value="${contactMail}"/>
														<%--nested:text property="mail"/--%>
													</logic:equal>
													<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
														<nested:write property="mail"/>
													</logic:notEqual>
												</td>
											</tr>
											<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
												<tr>
													<td><bean:message key="data.upload.metadata.contact.mdp"/> * : </td>
													<td colspan="2">
														<input type="text" id="contactMdp_${persId}" name="metadata.pres.contacts[${persId}].mdp" value="${contactMdp}"/>
														<%--nested:text property="mdp"/--%>
													</td>
												</tr>
											</logic:equal>
											<tr>
												<td rowspan="3"><bean:message key="data.upload.metadata.contact.role"/> * : </td>
												<td colspan="2">
													<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
														<input type="radio" id="contactDef_${persId}" name="metadata.pres.contacts[${persId}].role" value="default" <%=(contactRole.equals("default")?"checked":"")%>>
														<%--nested:radio property="role" value="default"--%><bean:message key="data.upload.metadata.description.default"/><%--/nested:radio--%>
													</logic:equal>
													<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
														<nested:radio disabled="true" property="role" value="default"><bean:message key="data.upload.metadata.description.default"/></nested:radio>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td colspan="2">
													<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
														<input type="radio" id="contactPi_${persId}" name="metadata.pres.contacts[${persId}].role" value="pi" <%=(contactRole.equals("pi")?"checked":"")%>>
														<%--nested:radio property="role" value="pi"--%><bean:message key="data.upload.metadata.description.pi"/><%--/nested:radio--%>
													</logic:equal>
													<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
														<nested:radio disabled="true" property="role" value="pi"><bean:message key="data.upload.metadata.description.pi"/></nested:radio>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td>
													<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
														<input type="radio" id="contactTech_${persId}" name="metadata.pres.contacts[${persId}].role" value="tech" <%=(contactRole.equals("tech")?"checked":"")%>>
														<%--nested:radio property="role" value="tech"--%><bean:message key="data.upload.metadata.description.tech"/><%--/nested:radio--%>
													</logic:equal>
													<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
														<nested:radio disabled="true" property="role" value="tech"><bean:message key="data.upload.metadata.description.tech"/></nested:radio>
													</logic:notEqual>
												</td>
												<td>
													<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
														<input type="button" value="<bean:message key="data.upload.metadata.deletePers"/>" onclick="removeContact('${contextPath}',${persId})"/>
														<%--html:submit indexed="true" property="mess">
															<bean:message key="data.upload.metadata.deletePers"/>
														</html:submit--%>
													</logic:equal>
													<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
														&nbsp;
													</logic:notEqual>
												</td>
											</tr>
										</table>
									</nested:iterate>
								</td></tr>
								<tr><td>
									<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
										<input type="button" value="<bean:message key="data.upload.metadata.newPers"/>" onclick="addContact('${contextPath}')" class="add"/>
										<%--html:submit property="mess[0]" styleClass="add">
											<bean:message key="data.upload.metadata.newPers"/>
										</html:submit--%>
									</logic:equal>
								</td></tr>
							</table>
						</div>
					</nested:nest>
					
					<div class="hdp">
						<html:link page="/data/upload/metadata.jsp" anchor="top" titleKey="app.hdp">
							<html:img page="/images/utils/hdp1.png"/>
						</html:link>
					</div>
					
					&nbsp;
					<hr/>	
					<nested:nest property="desc">
						<div class="title"><a name="desc_jeu"></a>
						<bean:message key="data.upload.metadata.description"/></div>
						<div id="level2">
							<table>
								<tr>
									<td><bean:message key="data.upload.metadata.description.org"/> * : </td>
									<td>
										<logic:equal name="SES_RIGHTS" scope="session" value="write"> 
											<nested:text property="organisme"/>
										</logic:equal>
										<logic:notEqual name="SES_RIGHTS" scope="session" value="write"> 
											<nested:write property="organisme"/>
										</logic:notEqual>
									</td>
								</tr>
								<nested:nest property="pi">
									<tr>
										<td><bean:message key="data.upload.metadata.description.pi"/> : </td>
										<td>
											<table>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.nom"/> : </td>
													<td><nested:write property="nom"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.prenom"/> : </td>
													<td><nested:write property="prenom"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.org"/> : </td>
													<td><nested:write property="organisme"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.mail"/> : </td>
													<td><nested:write property="mail"/></td>
												</tr>											
											</table>
										</td>
									</tr>
								</nested:nest>
								<nested:nest property="tech">
									<tr>
										<td><bean:message key="data.upload.metadata.description.tech"/> : </td>
										<td>
											<table>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.nom"/> : </td>
													<td><nested:write property="nom"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.prenom"/> : </td>
													<td><nested:write property="prenom"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.org"/> : </td>
													<td><nested:write property="organisme"/></td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.mail"/> : </td>
													<td><nested:write property="mail"/></td>
												</tr>
											</table>
										</td>
									</tr>
								</nested:nest>
								<tr>
									<td><bean:message key="data.upload.metadata.description.format"/> : </td>
									<td>
										<logic:equal name="SES_RIGHTS" scope="session" value="write">
											<nested:textarea property="format"/>
										</logic:equal>
										<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
											<nested:write property="format"/>
										</logic:notEqual>
									</td>
								</tr>
								<tr>
									<td><bean:message key="data.upload.metadata.description.repartition"/> : </td>
									<td>
										<logic:equal name="SES_RIGHTS" scope="session" value="write">
											<nested:textarea property="repartition"/>
										</logic:equal>
										<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
											<nested:write property="repartition"/>
										</logic:notEqual>
									</td>
								</tr>
							</table>
						</div>
					</nested:nest>

					<div class="hdp">
						<html:link page="/data/upload/metadata.jsp" anchor="top" titleKey="app.hdp">
							<html:img page="/images/utils/hdp1.png"/>
						</html:link>
					</div>
					
					&nbsp;
					<hr/>
					<div class="title"><bean:message key="data.upload.metadata.contenu_prevu"/></div>
<%--					<bean:define type="java.lang.String" id="contenuP" value="contenu_prevu"/> --%>
					
					<div id="level2">
						<bean:define id="nomCat" name="metadataForm" property="metadata.pres.cat"/>
						<input type="hidden" id="nomCateg" name="nomCateg" value="${nomCat}">
						<nested:nest property="contenuPrevu">
							<table>
								<tr><th><a name="platefs"></a>
								<bean:message key="data.upload.metadata.plateformes"/> *</th></tr>
								<tr><td id="cadrePlats">
									<nested:iterate property="plateformes" indexId="platId">
										<nested:define property="nom" id="platNom"/>
										<nested:define property="nomOth" id="platOth"/>
										<nested:define property="desc" id="platDesc"/>
										<nested:define property="lat_min" id="platLatMin"/>
										<nested:define property="lat_max" id="platLatMax"/>
										<nested:define property="lon_min" id="platLonMin"/>
										<nested:define property="lon_max" id="platLonMax"/>
										<nested:define property="alt_min" id="platAltMin"/>
										<nested:define property="alt_max" id="platAltMax"/>
										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(platId.intValue())%>"/>
										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
										<table class="${idP}">
											<tr>
												<td rowspan="9"><bean:message key="data.upload.metadata.plat"/> <nested:write name="platId"/></td>
												<td><bean:message key="data.upload.metadata.plat.nom"/> * : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<select id="platNom_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].nom" onchange="majListPlat(${platId})">
														<%--nested:select property="nom" onchange="majListPlat(this.value,${platId})"--%>
															<option value="-" <%=(platNom.equals("-")?"selected":"")%>>-</option>
															<logic:equal name="nomCat" value="AVION">
																<option value="ATR-42" <%=(platNom.equals("ATR-42")?"selected":"")%>>ATR-42</option>
																<option value="Piper-Aztec" <%=(platNom.equals("Piper-Aztec")?"selected":"")%>>Piper-Aztec</option>
															</logic:equal>
															<logic:equal name="nomCat" value="SURF_FIXE">
																<option value="Ballon Air de Paris" <%=(platNom.equals("Ballon Air de Paris")?"selected":"")%>>Ballon Air de Paris</option>
																<option value="Champs-sur-Marne" <%=(platNom.equals("Champs-sur-Marne")?"selected":"")%>>Champs-sur-Marne</option>
																<option value="Créteil" <%=(platNom.equals("Créteil")?"selected":"")%>>Créteil</option>
																<option value="Grignon" <%=(platNom.equals("Grignon")?"selected":"")%>>Grignon</option>
																<option value="Jussieu" <%=(platNom.equals("Jussieu")?"selected":"")%>>Jussieu</option>
																<option value="LHVP" <%=(platNom.equals("LHVP")?"selected":"")%>>LHVP</option>
																<option value="Livry-Gargan" <%=(platNom.equals("Livry-Gargan")?"selected":"")%>>Livry-Gargan</option>
																<option value="Roissy" <%=(platNom.equals("Roissy")?"selected":"")%>>Roissy</option>
																<option value="SIRTA" <%=(platNom.equals("SIRTA")?"selected":"")%>>SIRTA</option>
																<option value="Tour Eiffel" <%=(platNom.equals("Tour Eiffel")?"selected":"")%>>Tour Eiffel</option>
															</logic:equal>
															<logic:equal name="nomCat" value="SURF_MOBILE">
																<option value="CEA-LIDAR" <%=(platNom.equals("CEA-LIDAR")?"selected":"")%>>CEA-LIDAR</option>
																<option value="MPI-DOAS" <%=(platNom.equals("MPI-DOAS")?"selected":"")%>>MPI-DOAS</option>
																<option value="MPI-MOLA" <%=(platNom.equals("MPI-MOLA")?"selected":"")%>>MPI-MOLA</option>
																<option value="PSI" <%=(platNom.equals("PSI")?"selected":"")%>>PSI</option>
															</logic:equal>
														</select>
														<bean:message key="data.upload.metadata.nomoth"/> :
														<input type="text" id="platOth_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].nomOth" value="${platOth}" size="10" onchange="majListPlat(${platId})"/>
														<%--nested:text size="10" property="nomOth" onchange="majListPlat(this.value,${platId})"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:equal property="nom" value="-">
															<nested:write property="nomOth"/>
														</nested:equal>
														<nested:notEqual property="nom" value="-">
															<nested:write property="nom"/>
														</nested:notEqual>
													</logic:notEqual>		
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.metadata.desc"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<textarea cols="50" id="platDesc_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].desc">${platDesc}</textarea>
														<%--nested:textarea cols="50" property="desc"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="desc"/>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.plat.img"/> : </td>
												<td colspan="2">
													<table width="100%">
														<logic:equal name="SES_RIGHTS" scope="session" value="write">
															<tr><td colspan="2">
																<html:img page="/images/utils/uploadText.png" alt="upload"/>&nbsp;<nested:file property="newFile"/><html:submit property="mess" indexed="true"><bean:message key="app.deposer"/></html:submit>
															</td></tr>
														</logic:equal>
														<nested:iterate property="liste_images" indexId="imgId">
															<%--nested:notEqual property="" value=""--%>
															<tr>
																<td width="200px">
																	<nested:write property=""/>
																</td>
																<td>
																<logic:equal name="SES_RIGHTS" scope="session" value="write">
																	<bean:define id="idPlatImg" value="${platId}_${imgId}"/>
																	<html:link page="/UpdateMetadata.do" paramName="idPlatImg" paramId="idPI" titleKey="data.upload.metadata.deletePict">
																		<html:img page="/images/utils/delete.png" altKey="data.upload.metadata.deletePict"/>
																	</html:link>
																</logic:equal>
																</td>
															</tr>
															<%--/nested:notEqual--%>
														</nested:iterate>
													</table>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.plat.latmin"/> : </td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="platLatMin_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].lat_min" value="${platLatMin}"/>
														<%--nested:text property="lat_min"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="lat_min"/>
													</logic:notEqual>
												</td>
												<td><bean:message key="data.upload.metadata.plat.lat.format"/></td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.plat.latmax"/> : </td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="platLatMax_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].lat_max" value="${platLatMax}"/>
														<%--nested:text property="lat_max"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="lat_max"/>
													</logic:notEqual>
												</td>
												<td><bean:message key="data.upload.metadata.plat.lat.format"/></td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.plat.lonmin"/> : </td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="platLonMin_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].lon_min" value="${platLonMin}"/>
														<%--nested:text property="lon_min"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="lon_min"/>
													</logic:notEqual>
												</td>
												<td><bean:message key="data.upload.metadata.plat.lon.format"/></td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.plat.lonmax"/> : </td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="platLonMax_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].lon_max" value="${platLonMax}"/>
														<%--nested:text property="lon_max"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="lon_max"/>
													</logic:notEqual>
												</td>
												<td><bean:message key="data.upload.metadata.plat.lon.format"/></td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.plat.altmin"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="platAltMin_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].alt_min" value="${platAltMin}"/>
														<%--nested:text property="alt_min"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="alt_min"/>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.plat.altmax"/> : </td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="platAltMax_${platId}" name="metadata.contenuPrevu.plateformes[${platId}].alt_max" value="${platAltMax}"/>
														<%--nested:text property="alt_max"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="alt_max"/>
													</logic:notEqual>
												</td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="button" value="<bean:message key="data.upload.metadata.deletePlat"/>" onclick="removePlat('${contextPath}',${platId})"/>
														<%--html:submit indexed="true" property="mess">
															<bean:message key="data.upload.metadata.deletePlat"/>
														</html:submit--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														&nbsp;
													</logic:notEqual>
												</td>
											</tr>
										</table>
									</nested:iterate>
								</td></tr>
								<tr><td>
									<logic:equal name="SES_RIGHTS" scope="session" value="write">
										<input type="button" value="<bean:message key="data.upload.metadata.newPlat"/>" onclick="addPlat('${contextPath}')" class="add"/>
										<%--html:submit property="mess[0]" styleClass="add">
											<bean:message key="data.upload.metadata.newPlat"/>
										</html:submit--%>
									</logic:equal>
									<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
										&nbsp;
									</logic:notEqual>
								</td></tr>
							</table>

							<div class="hdp">
								<html:link page="/data/upload/metadata.jsp" anchor="top" titleKey="app.hdp">
									<html:img page="/images/utils/hdp1.png"/>
								</html:link>
							</div>
							
							<div class="legende">* <bean:message key="app.mandatory"/></div>

							<br>
							<table>
								<tr><th><a name="capts"></a>
								<bean:message key="data.upload.metadata.capteurs"/> *</th></tr>
								<tr><td id="cadreCapts">
									<nested:iterate property="capteurs" indexId="captId">
										<nested:define property="type" id="captType"/>
										<nested:define property="typeOth" id="captOth"/>
										<nested:define property="fabriquant" id="captFab"/>
										<nested:define property="modele" id="captMod"/>
										<nested:define property="num" id="captNum"/>
										<nested:define property="etalon" id="captEta"/>
										<nested:define property="nomPlateforme" id="captPlat"/>
										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(captId.intValue())%>"/>
										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
										<table class="${idP}">
											<tr>
												<td rowspan="6"><bean:message key="data.upload.metadata.capteur"/> <nested:write name="captId"/></td>
												<td><bean:message key="data.upload.metadata.capteur.type"/> * : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<select id="captType_${captId}" name="metadata.contenuPrevu.capteurs[${captId}].type" onchange="majListCapt(${captId})">
														<%--nested:select property="type" onchange="majListCapt(${captId})"--%>
															<option value="-" <%=(captType.equals("-")?"selected":"")%>>-</option>
															<option value="Aerosol Collector" <%=(captType.equals("Aerosol Collector")?"selected":"")%>>Aerosol Collector</option>
															<option value="Aerosol Mass Spectrometer" <%=(captType.equals("Aerosol Mass Spectrometer")?"selected":"")%>>Aerosol Mass Spectrometer</option>
															<option value="Aerosol/Cloud Particle Sizer" <%=(captType.equals("Aerosol/Cloud Particle Sizer")?"selected":"")%>>Aerosol/Cloud Particle Sizer</option>
															<option value="Aethalometer" <%=(captType.equals("Aethalometer")?"selected":"")%>>Aethalometer</option>
															<option value="Airpointer" <%=(captType.equals("Airpointer")?"selected":"")%>>Airpointer</option>
															<option value="Anemometer" <%=(captType.equals("Anemometer")?"selected":"")%>>Anemometer</option>
															<option value="Autoanalyser" <%=(captType.equals("Autoanalyser")?"selected":"")%>>Autoanalyser</option>
															<option value="AWS (Automated Weather System)" <%=(captType.equals("AWS (Automated Weather System)")?"selected":"")%>>AWS (Automated Weather System)</option>
															<option value="Backscatter LIDAR" <%=(captType.equals("Backscatter LIDAR")?"selected":"")%>>Backscatter LIDAR</option>
															<option value="Balance" <%=(captType.equals("Balance")?"selected":"")%>>Balance</option>
															<option value="Camera" <%=(captType.equals("Camera")?"selected":"")%>>Camera</option>
															<option value="Carbon Analyser" <%=(captType.equals("Carbon Analyser")?"selected":"")%>>Carbon Analyser</option>
															<option value="Ceilometer" <%=(captType.equals("Ceilometer")?"selected":"")%>>Ceilometer</option>
															<option value="Chemiluminescence" <%=(captType.equals("Chemiluminescence")?"selected":"")%>>Chemiluminescence</option>
															<option value="CHN Analyzer (Carbon, Hydrogen, Nitrogen)" <%=(captType.equals("CHN Analyzer (Carbon, Hydrogen, Nitrogen)")?"selected":"")%>>CHN Analyzer (Carbon, Hydrogen, Nitrogen)</option>
															<option value="CIMS Mass Spectrometer" <%=(captType.equals("CIMS Mass Spectrometer")?"selected":"")%>>CIMS Mass Spectrometer</option>
															<option value="CO2 Analyser" <%=(captType.equals("CO2 Analyser")?"selected":"")%>>CO2 Analyser</option>
															<option value="CPC (Condensation Particle Counter)" <%=(captType.equals("CPC (Condensation Particle Counter)")?"selected":"")%>>CPC (Condensation Particle Counter)</option>
															<option value="Disdrometer" <%=(captType.equals("Disdrometer")?"selected":"")%>>Disdrometer</option>
															<option value="Dropsonde" <%=(captType.equals("Dropsonde")?"selected":"")%>>Dropsonde</option>
															<option value="EAS (Electrical Aerosol Spectrometer)" <%=(captType.equals("EAS (Electrical Aerosol Spectrometer)")?"selected":"")%>>EAS (Electrical Aerosol Spectrometer)</option>
															<option value="EC-OC" <%=(captType.equals("EC-OC")?"selected":"")%>>EC-OC</option>
															<option value="Eddy Correlation Device" <%=(captType.equals("Eddy Correlation Device")?"selected":"")%>>Eddy Correlation Device</option>
															<option value="Gas Analyser" <%=(captType.equals("Gas Analyser")?"selected":"")%>>Gas Analyser</option>
															<option value="Gas Chromatograph" <%=(captType.equals("Gas Chromatograph")?"selected":"")%>>Gas Chromatograph</option>
															<option value="Gas Sampler" <%=(captType.equals("Gas Sampler")?"selected":"")%>>Gas Sampler</option>
															<option value="GPS Receiver" <%=(captType.equals("GPS Receiver")?"selected":"")%>>GPS Receiver</option>
															<option value="HTDMA (Hygroscopicity Tandem Differential Mobility Analyser)" <%=(captType.equals("HTDMA (Hygroscopicity Tandem Differential Mobility Analyser)")?"selected":"")%>>HTDMA (Hygroscopicity Tandem Differential Mobility Analyser)</option>
															<option value="Humidity Sensor" <%=(captType.equals("Humidity Sensor")?"selected":"")%>>Humidity Sensor</option>
															<option value="Interferometer" <%=(captType.equals("Interferometer")?"selected":"")%>>Interferometer</option>
															<option value="LIDAR (Light Detection and Ranging)" <%=(captType.equals("LIDAR (Light Detection and Ranging)")?"selected":"")%>>LIDAR (Light Detection and Ranging)</option>
															<option value="MAAP (Multi Angle Absorption Photometer)" <%=(captType.equals("MAAP (Multi Angle Absorption Photometer)")?"selected":"")%>>MAAP (Multi Angle Absorption Photometer)</option>
															<option value="Magnetometer" <%=(captType.equals("Magnetometer")?"selected":"")%>>Magnetometer</option>
															<option value="Meteo Station" <%=(captType.equals("Meteo Station")?"selected":"")%>>Meteo Station</option>
															<option value="Microscope" <%=(captType.equals("Microscope")?"selected":"")%>>Microscope</option>
															<option value="Nephelometer" <%=(captType.equals("Nephelometer")?"selected":"")%>>Nephelometer</option>
															<option value="OPC (Optic Particle Counter)" <%=(captType.equals("OPC (Optic Particle Counter)")?"selected":"")%>>OPC (Optic Particle Counter)</option>
															<option value="Oxygen Analyser" <%=(captType.equals("Oxygen Analyser")?"selected":"")%>>Oxygen Analyser</option>
															<option value="Ozone Analyser" <%=(captType.equals("Ozone Analyser")?"selected":"")%>>Ozone Analyser</option>
															<option value="Particle Detector" <%=(captType.equals("Particle Detector")?"selected":"")%>>Particle Detector</option>
															<option value="PH Meter" <%=(captType.equals("PH Meter")?"selected":"")%>>PH Meter</option>
															<option value="Photometer" <%=(captType.equals("Photometer")?"selected":"")%>>Photometer</option>
															<option value="PILS-IC" <%=(captType.equals("PILS-IC")?"selected":"")%>>PILS-IC</option>
															<option value="PILS-TOC" <%=(captType.equals("PILS-TOC")?"selected":"")%>>PILS-TOC</option>
															<option value="Pressure Sensor" <%=(captType.equals("Pressure Sensor")?"selected":"")%>>Pressure Sensor</option>
															<option value="PSAP (Particle Soot Absorption Photometer)" <%=(captType.equals("PSAP (Particle Soot Absorption Photometer)")?"selected":"")%>>PSAP (Particle Soot Absorption Photometer)</option>
															<option value="PTRMS" <%=(captType.equals("PTRMS")?"selected":"")%>>PTRMS</option>
															<option value="RADAR (Radio Detection and Ranging)" <%=(captType.equals("RADAR (Radio Detection and Ranging)")?"selected":"")%>>RADAR (Radio Detection and Ranging)</option>
															<option value="Radiometer" <%=(captType.equals("Radiometer")?"selected":"")%>>Radiometer</option>
															<option value="Radiosonde" <%=(captType.equals("Radiosonde")?"selected":"")%>>Radiosonde</option>
															<option value="Rain gauge" <%=(captType.equals("Rain gauge")?"selected":"")%>>Rain gauge</option>
															<option value="SMPS (Scanning Mobility Particle Sizer)" <%=(captType.equals("SMPS (Scanning Mobility Particle Sizer)")?"selected":"")%>>SMPS (Scanning Mobility Particle Sizer)</option>
															<option value="SODAR (Sound Detection and Ranging)" <%=(captType.equals("SODAR (Sound Detection and Ranging)")?"selected":"")%>>SODAR (Sound Detection and Ranging)</option>
															<option value="Spectrometer" <%=(captType.equals("Spectrometer")?"selected":"")%>>Spectrometer</option>
															<option value="Spectroradiometer" <%=(captType.equals("Spectroradiometer")?"selected":"")%>>Spectroradiometer</option>
															<option value="TDMPS" <%=(captType.equals("TDMPS")?"selected":"")%>>TDMPS</option>
															<option value="Temperature Sensor" <%=(captType.equals("Temperature Sensor")?"selected":"")%>>Temperature Sensor</option>
															<option value="TEOM (Tapered Element Oscillating Microbalance)" <%=(captType.equals("TEOM (Tapered Element Oscillating Microbalance)")?"selected":"")%>>TEOM (Tapered Element Oscillating Microbalance)</option>
															<option value="Tethersonde" <%=(captType.equals("Tethersonde")?"selected":"")%>>Tethersonde</option>
															<option value="UVAPS (Ultraviolet Aerodynamic Particle Sizer)" <%=(captType.equals("UVAPS (Ultraviolet Aerodynamic Particle Sizer)")?"selected":"")%>>UVAPS (Ultraviolet Aerodynamic Particle Sizer)</option>
															<option value="Video Camera" <%=(captType.equals("Video Camera")?"selected":"")%>>Video Camera</option>
															<option value="Visual Observations" <%=(captType.equals("Visual Observations")?"selected":"")%>>Visual Observations</option>
															<option value="VSMPS (Volatility Scanning Mobility Particle Sizer)" <%=(captType.equals("VSMPS (Volatility Scanning Mobility Particle Sizer)")?"selected":"")%>>VSMPS (Volatility Scanning Mobility Particle Sizer)</option>
															<option value="VTDMA (Volatility Tandem Differential Mobility Analyser)" <%=(captType.equals("VTDMA (Volatility Tandem Differential Mobility Analyser)")?"selected":"")%>>VTDMA (Volatility Tandem Differential Mobility Analyser)</option>
															<option value="Wet Deposition Collector" <%=(captType.equals("Wet Deposition Collector")?"selected":"")%>>Wet Deposition Collector</option>
															<option value="Wet/Dry Precipitation Sampler" <%=(captType.equals("Wet/Dry Precipitation Sampler")?"selected":"")%>>Wet/Dry Precipitation Sampler</option>
															<option value="Wind Profiler" <%=(captType.equals("Wind Profiler")?"selected":"")%>>Wind Profiler</option>
														</select>
														<bean:message key="data.upload.metadata.nomoth"/> :
														<input type="text" id="captOth_${captId}" name="metadata.contenuPrevu.capteurs[${captId}].typeOth" value="${captOth}" onchange="majListCapt(${captId})"/>
														<%--nested:text property="typeOth" onchange="majListCapt(${captId})"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:equal property="type" value="-">
															<nested:write property="typeOth"/>
														</nested:equal>
														<nested:notEqual property="type" value="-">
															<nested:write property="type"/>
														</nested:notEqual>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.capteur.fab"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="captFab_${captId}" name="metadata.contenuPrevu.capteurs[${captId}].fabriquant" value="${captFab}" onchange="majListCapt(${captId})"/>
														<%--nested:text property="fabriquant" onchange="majListCapt(${captId})"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="fabriquant"/>
													</logic:notEqual>		
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.capteur.modele"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="captMod_${captId}" name="metadata.contenuPrevu.capteurs[${captId}].modele" value="${captMod}" onchange="majListCapt(${captId})"/>
														<%--nested:text property="modele" onchange="majListCapt(${captId})"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="modele"/>
													</logic:notEqual>		
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.capteur.nums"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="text" id="captNum_${captId}" name="metadata.contenuPrevu.capteurs[${captId}].num" value="${captNum}" onchange="majListCapt(${captId})"/>
														<%--nested:text property="num" onchange="majListCapt(${captId})"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="num"/>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.capteur.etalon"/> : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<textarea id="captEta_${captId}" name="metadata.contenuPrevu.capteurs[${captId}].etalon">${captEta}</textarea>
														<%--nested:textarea property="etalon"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="etalon"/>
													</logic:notEqual>		
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.capteur.plat"/> * : </td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<select id="captPlat_${captId}" name="metadata.contenuPrevu.capteurs[${captId}].nomPlateforme">
														<%--nested:select property="nomPlateforme"--%>
															<nested:root name="metadataForm">
																<nested:nest property="metadata">
																	<nested:nest property="contenuPrevu">
																		<nested:iterate property="plateformes">
																			<nested:define id="nomPlat" property="nom"/>
																			<nested:define id="nomOthPlat" property="nomOth"/>
																			<bean:define id="nomP" value=""/>
																			<logic:equal name="nomPlat" value="-">
																				<bean:define id="nomP" value="${nomOthPlat}"/>
																			</logic:equal>
																			<logic:notEqual name="nomPlat" value="-">
																				<bean:define id="nomP" value="${nomPlat}"/>
																			</logic:notEqual>
																			<option value="${nomP}" <%=(captPlat.equals(nomP)?"selected":"")%>>${nomP}</option>
																			<%--html:option value="${nomPlat}"/--%>
																		</nested:iterate>
																	</nested:nest>
																</nested:nest>
															</nested:root>
														</select>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="nomPlateforme"/>
													</logic:notEqual>		
												</td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="button" value="<bean:message key="data.upload.metadata.deleteCapt"/>" onclick="removeCapt('${contextPath}',${captId})"/>
														<%--html:submit indexed="true" property="mess">
															<bean:message key="data.upload.metadata.deleteCapt"/>
														</html:submit--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														&nbsp;
													</logic:notEqual>
												</td>
											</tr>
										</table>
									</nested:iterate>
								</td></tr>
								<tr><td>
									<logic:equal name="SES_RIGHTS" scope="session" value="write">
										<input type="button" value="<bean:message key="data.upload.metadata.newCapt"/>" onclick="addCapt('${contextPath}')" class="add"/>
										<%--html:submit property="mess[0]" styleClass="add">
											<bean:message key="data.upload.metadata.newCapt"/>
										</html:submit--%>
									</logic:equal>
									<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
										&nbsp;
									</logic:notEqual>
								</td></tr>
							</table>

							<div class="hdp">
								<html:link page="/data/upload/metadata.jsp" anchor="top" titleKey="app.hdp">
									<html:img page="/images/utils/hdp1.png"/>
								</html:link>
							</div>

							<div class="legende">* <bean:message key="app.mandatory"/></div>

							<br><br>
							<table>
								<tr><th><a name="params"></a>
								<bean:message key="data.upload.metadata.parametres"/> *</th></tr>
								<tr><td id="cadreParams">
									<nested:iterate property="params" indexId="paramId">
										<nested:define property="nom" id="paramNom"/>
										<nested:define property="nomOth" id="paramNomOth"/>
										<nested:define property="categorie" id="paramCat"/>
										<nested:define property="categOth" id="catOth"/>
										<%--nested:define property="abrev" id="paramAb"/--%>
										<nested:define property="unite" id="paramUnit"/>
										<nested:define property="uniteOth" id="unitOth"/>
										<nested:define property="nomCapteur" id="paramCapt"/>
										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(paramId.intValue())%>"/>
										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
										<table class="${idP}">
											<tr>
												<td rowspan="4" nowrap>&nbsp;<bean:message key="data.upload.metadata.param"/> <nested:write name="paramId"/></td>
												<td><bean:message key="data.upload.metadata.param.cat"/> * : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<select id="paramCat_${paramId}" name="metadata.contenuPrevu.params[${paramId}].categorie" onchange="majListParam(this.selectedIndex,${paramId})">
															<option value="-" <%=(paramCat.equals("-")?"selected":"")%>>-</option>
															<option value="Gas Species" <%=(paramCat.equals("Gas Species")?"selected":"")%>>Gas Species</option>
															<option value="Aerosol Chemical Composition/Mass" <%=(paramCat.equals("Aerosol Chemical Composition/Mass")?"selected":"")%>>Aerosol Chemical Composition/Mass</option>
															<option value="Aerosol Properties" <%=(paramCat.equals("Aerosol Properties")?"selected":"")%>>Aerosol Properties</option>
															<option value="Meteo/Radiation" <%=(paramCat.equals("Meteo/Radiation")?"selected":"")%>>Meteo/Radiation</option>
															<option value="Aircraft Parameters" <%=(paramCat.equals("Aircraft Parameters")?"selected":"")%>>Aircraft Parameters</option>
															<option value="VOC" <%=(paramCat.equals("VOC")?"selected":"")%>>VOC</option>
															<option value="Sums of VOC from PTRMS" <%=(paramCat.equals("Sums of VOC from PTRMS")?"selected":"")%>>Sums of VOC from PTRMS</option>
														</select>
														<bean:message key="data.upload.metadata.nomoth"/> :
														<input type="text" id="catOth_${paramId}" name="metadata.contenuPrevu.params[${paramId}].categOth" value="${catOth}"/>
														<%--input type="text" id="paramAb_${paramId}" name="metadata.contenuPrevu.params[${paramId}].abrev" value="${paramAb}"/--%>
														<%--nested:text property="abrev"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:equal property="categorie" value="-">
															<nested:write property="categOth"/>
														</nested:equal>
														<nested:notEqual property="categorie" value="-">
															<nested:write property="categorie"/>
														</nested:notEqual>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.param.nom"/> * : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<select id="paramNom_${paramId}" name="metadata.contenuPrevu.params[${paramId}].nom">
															<option value="-" <%=(paramNom.equals("-")?"selected":"")%>>-</option>
															<logic:equal name="paramCat" value="Gas Species">
																<option value="222Rn (Radon 222)" <%=(paramNom.equals("222Rn (Radon 222)")?"selected":"")%>>222Rn (Radon 222)</option>
																<option value="CH3OH (Methanol)" <%=(paramNom.equals("CH3OH (Methanol)")?"selected":"")%>>CH3OH (Methanol)</option>
																<option value="CH4 (Methane)" <%=(paramNom.equals("CH4 (Methane)")?"selected":"")%>>CH4 (Methane)</option>
																<option value="CO (Carbon Monoxide)" <%=(paramNom.equals("CO (Carbon Monoxide)")?"selected":"")%>>CO (Carbon Monoxide)</option>
																<option value="CO2 (Carbon Dioxide)" <%=(paramNom.equals("CO2 (Carbon Dioxide)")?"selected":"")%>>CO2 (Carbon Dioxide)</option>
																<option value="DMS (Dimethyl Sulfide)" <%=(paramNom.equals("DMS (Dimethyl Sulfide)")?"selected":"")%>>DMS (Dimethyl Sulfide)</option>
																<option value="H2SO4g (Sulfuric Acid)" <%=(paramNom.equals("H2SO4g (Sulfuric Acid)")?"selected":"")%>>H2SO4g (Sulfuric Acid)</option>
																<option value="HCHO (Formaldehyde)" <%=(paramNom.equals("HCHO (Formaldehyde)")?"selected":"")%>>HCHO (Formaldehyde)</option>
																<option value="HO2 (Hydroxyl Peroxyl Radical)" <%=(paramNom.equals("HO2 (Hydroxyl Peroxyl Radical)")?"selected":"")%>>HO2 (Hydroxyl Peroxyl Radical)</option>
																<option value="HONO (Nitrous Oxide)" <%=(paramNom.equals("HONO (Nitrous Oxide)")?"selected":"")%>>HONO (Nitrous Oxide)</option>
																<option value="JNO2 (Photolysis Frequency JNO2)" <%=(paramNom.equals("JNO2 (Photolysis Frequency JNO2)")?"selected":"")%>>JNO2 (Photolysis Frequency JNO2)</option>
																<option value="JO1D (Photolysis Frequency JO1D)" <%=(paramNom.equals("JO1D (Photolysis Frequency JO1D)")?"selected":"")%>>JO1D (Photolysis Frequency JO1D)</option>
																<option value="NO (Nitrogen Monoxide)" <%=(paramNom.equals("NO (Nitrogen Monoxide)")?"selected":"")%>>NO (Nitrogen Monoxide)</option>
																<option value="NO2 (Nitrogen Dioxide)" <%=(paramNom.equals("NO2 (Nitrogen Dioxide)")?"selected":"")%>>NO2 (Nitrogen Dioxide)</option>
																<option value="NOx (Nitrogen Oxides)" <%=(paramNom.equals("NOx (Nitrogen Oxides)")?"selected":"")%>>NOx (Nitrogen Oxides)</option>
																<option value="Noy (Sum Reactive Nitrogen)" <%=(paramNom.equals("Noy (Sum Reactive Nitrogen)")?"selected":"")%>>Noy (Sum Reactive Nitrogen)</option>
																<option value="O3 (Ozone)" <%=(paramNom.equals("O3 (Ozone)")?"selected":"")%>>O3 (Ozone)</option>
																<option value="OH (Hydroxyl Radical)" <%=(paramNom.equals("OH (Hydroxyl Radical)")?"selected":"")%>>OH (Hydroxyl Radical)</option>
																<option value="PAN (Peroxyacetyl Nitrate)" <%=(paramNom.equals("PAN (Peroxyacetyl Nitrate)")?"selected":"")%>>PAN (Peroxyacetyl Nitrate)</option>
																<option value="RO2 (Peroxyl Radical)" <%=(paramNom.equals("RO2 (Peroxyl Radical)")?"selected":"")%>>RO2 (Peroxyl Radical)</option>
																<option value="SF6 (Sulfurhexafluoride)" <%=(paramNom.equals("SF6 (Sulfurhexafluoride)")?"selected":"")%>>SF6 (Sulfurhexafluoride)</option>
																<option value="SO2 (Sulfur Dioxide)" <%=(paramNom.equals("SO2 (Sulfur Dioxide)")?"selected":"")%>>SO2 (Sulfur Dioxide)</option>
															</logic:equal>
															<logic:equal name="paramCat" value="Aerosol Chemical Composition/Mass">
																<option value="PM1 (AEROSOL MASS PM1)" <%=(paramNom.equals("PM1 (AEROSOL MASS PM1)")?"selected":"")%>>PM1 (AEROSOL MASS PM1)</option>
																<option value="BBOA-PM1 (Biomass Burning Organic Aerosol)" <%=(paramNom.equals("BBOA-PM1 (Biomass Burning Organic Aerosol)")?"selected":"")%>>BBOA-PM1 (Biomass Burning Organic Aerosol)</option>
																<option value="BC-PM1 (Black Carbon)" <%=(paramNom.equals("BC-PM1 (Black Carbon)")?"selected":"")%>>BC-PM1 (Black Carbon)</option>
																<option value="Cl-PM1 (Chloride)" <%=(paramNom.equals("Cl-PM1 (Chloride)")?"selected":"")%>>Cl-PM1 (Chloride)</option>
																<option value="HOA-PM1 (Hydrocarbon Like Organic Aerosol)" <%=(paramNom.equals("HOA-PM1 (Hydrocarbon Like Organic Aerosol)")?"selected":"")%>>HOA-PM1 (Hydrocarbon Like Organic Aerosol)</option>
																<option value="LV-OOA-PM1 (Low Volatility Oxidised Organic Aerosol)" <%=(paramNom.equals("LV-OOA-PM1 (Low Volatility Oxidised Organic Aerosol)")?"selected":"")%>>LV-OOA-PM1 (Low Volatility Oxidised Organic Aerosol)</option>
																<option value="NH4-PM1 (Ammonium)" <%=(paramNom.equals("NH4-PM1 (Ammonium)")?"selected":"")%>>NH4-PM1 (Ammonium)</option>
																<option value="NO3-PM1 (Nitrate)" <%=(paramNom.equals("NO3-PM1 (Nitrate)")?"selected":"")%>>NO3-PM1 (Nitrate)</option>
																<option value="OA-PM1 (Organic Aerosol)" <%=(paramNom.equals("OA-PM1 (Organic Aerosol)")?"selected":"")%>>OA-PM1 (Organic Aerosol)</option>
																<option value="OOA-PM1 (Oxidised Organic Aerosol)" <%=(paramNom.equals("OOA-PM1 (Oxidised Organic Aerosol)")?"selected":"")%>>OOA-PM1 (Oxidised Organic Aerosol)</option>
																<option value="SO4-PM1 (Sulfate)" <%=(paramNom.equals("SO4-PM1 (Sulfate)")?"selected":"")%>>SO4-PM1 (Sulfate)</option>
																<option value="SV-OOA-PM1 (Semivolatile Oxidised Organic Aerosol)" <%=(paramNom.equals("SV-OOA-PM1 (Semivolatile Oxidised Organic Aerosol)")?"selected":"")%>>SV-OOA-PM1 (Semivolatile Oxidised Organic Aerosol)</option>
																<option value="PM2.5 (AEROSOL MASS PM2.5)" <%=(paramNom.equals("PM2.5 (AEROSOL MASS PM2.5)")?"selected":"")%>>PM2.5 (AEROSOL MASS PM2.5)</option>
																<option value="BC-PM2.5 (Black Carbon)" <%=(paramNom.equals("BC-PM2.5 (Black Carbon)")?"selected":"")%>>BC-PM2.5 (Black Carbon)</option>
																<option value="C14-PM2.5 (Carbon-14)" <%=(paramNom.equals("C14-PM2.5 (Carbon-14)")?"selected":"")%>>C14-PM2.5 (Carbon-14)</option>
																<option value="Ca-PM2.5 (Calcium)" <%=(paramNom.equals("Ca-PM2.5 (Calcium)")?"selected":"")%>>Ca-PM2.5 (Calcium)</option>
																<option value="Cl-PM2.5 (Chloride)" <%=(paramNom.equals("Cl-PM2.5 (Chloride)")?"selected":"")%>>Cl-PM2.5 (Chloride)</option>
																<option value="EC-PM2.5 (Elemental Carbon)" <%=(paramNom.equals("EC-PM2.5 (Elemental Carbon)")?"selected":"")%>>EC-PM2.5 (Elemental Carbon)</option>
																<option value="K-PM2.5 (Potassium)" <%=(paramNom.equals("K-PM2.5 (Potassium)")?"selected":"")%>>K-PM2.5 (Potassium)</option>
																<option value="Levo-PM2.5 (Levoglucosan)" <%=(paramNom.equals("Levo-PM2.5 (Levoglucosan)")?"selected":"")%>>Levo-PM2.5 (Levoglucosan)</option>
																<option value="Mg-PM2.5 (Magnesium)" <%=(paramNom.equals("Mg-PM2.5 (Magnesium)")?"selected":"")%>>Mg-PM2.5 (Magnesium)</option>
																<option value="Na-PM2.5 (Sodium)" <%=(paramNom.equals("Na-PM2.5 (Sodium)")?"selected":"")%>>Na-PM2.5 (Sodium)</option>
																<option value="NH4-PM2.5 (Ammonium)" <%=(paramNom.equals("NH4-PM2.5 (Ammonium)")?"selected":"")%>>NH4-PM2.5 (Ammonium)</option>
																<option value="NO3-PM2.5 (Nitrate)" <%=(paramNom.equals("NO3-PM2.5 (Nitrate)")?"selected":"")%>>NO3-PM2.5 (Nitrate)</option>
																<option value="OC-PM2.5 (Organic Carbon)" <%=(paramNom.equals("OC-PM2.5 (Organic Carbon)")?"selected":"")%>>OC-PM2.5 (Organic Carbon)</option>
																<option value="SO4-PM2.5 (Sulfate)" <%=(paramNom.equals("SO4-PM2.5 (Sulfate)")?"selected":"")%>>SO4-PM2.5 (Sulfate)</option>
																<option value="TC-PM2.5 (Total Carbon)" <%=(paramNom.equals("TC-PM2.5 (Total Carbon)")?"selected":"")%>>TC-PM2.5 (Total Carbon)</option>
																<option value="WIOC-PM2.5 (Water Insoluble Organic Carbon)" <%=(paramNom.equals("WIOC-PM2.5 (Water Insoluble Organic Carbon)")?"selected":"")%>>WIOC-PM2.5 (Water Insoluble Organic Carbon)</option>
																<option value="WSOC-PM2.5 (Water Soluble Organic Carbon)" <%=(paramNom.equals("WSOC-PM2.5 (Water Soluble Organic Carbon)")?"selected":"")%>>WSOC-PM2.5 (Water Soluble Organic Carbon)</option>
															</logic:equal>
															<logic:equal name="paramCat" value="Aerosol Properties">
																<option value="Bckscat 450 (Backscattering Coefficient 450 nm)" <%=(paramNom.equals("Bckscat 450 (Backscattering Coefficient 450 nm)")?"selected":"")%>>Bckscat 450 (Backscattering Coefficient 450 nm)</option>
																<option value="Bckscat 550 (Backscattering Coefficient 550 nm)" <%=(paramNom.equals("Bckscat 550 (Backscattering Coefficient 550 nm)")?"selected":"")%>>Bckscat 550 (Backscattering Coefficient 550 nm)</option>
																<option value="Bckscat 700 (Backscattering Coefficient 700 nm)" <%=(paramNom.equals("Bckscat 700 (Backscattering Coefficient 700 nm)")?"selected":"")%>>Bckscat 700 (Backscattering Coefficient 700 nm)</option>
																<option value="CCN (Condensation Nuclei Number/Concentration)" <%=(paramNom.equals("CCN (Condensation Nuclei Number/Concentration)")?"selected":"")%>>CCN (Condensation Nuclei Number/Concentration)</option>
																<option value="GF (Hygroscopic Growth Factor at 90% Humidity)" <%=(paramNom.equals("GF (Hygroscopic Growth Factor at 90% Humidity)")?"selected":"")%>>GF (Hygroscopic Growth Factor at 90% Humidity)</option>
																<option value="Lightabs 470 (Light Absorption Coefficient at 470nm)" <%=(paramNom.equals("Lightabs 470 (Light Absorption Coefficient at 470nm)")?"selected":"")%>>Lightabs 470 (Light Absorption Coefficient at 470nm)</option>
																<option value="Lightabs 522 (Light Absorption Coefficient at 522nm)" <%=(paramNom.equals("Lightabs 522 (Light Absorption Coefficient at 522nm)")?"selected":"")%>>Lightabs 522 (Light Absorption Coefficient at 522nm)</option>
																<option value="Lightabs 650 (Light Absorption Coefficient at 650nm)" <%=(paramNom.equals("Lightabs 650 (Light Absorption Coefficient at 650nm)")?"selected":"")%>>Lightabs 650 (Light Absorption Coefficient at 650nm)</option>
																<option value="N (Particle Number / Concentration)" <%=(paramNom.equals("N (Particle Number / Concentration)")?"selected":"")%>>N (Particle Number / Concentration)</option>
																<option value="Scat 450 (Scattering Coefficient 450 nm)" <%=(paramNom.equals("Scat 450 (Scattering Coefficient 450 nm)")?"selected":"")%>>Scat 450 (Scattering Coefficient 450 nm)</option>
																<option value="Scat 550 (Scattering Coefficient 550 nm)" <%=(paramNom.equals("Scat 550 (Scattering Coefficient 550 nm)")?"selected":"")%>>Scat 550 (Scattering Coefficient 550 nm)</option>
																<option value="Scat 700 (Scattering Coefficient 700 nm)" <%=(paramNom.equals("Scat 700 (Scattering Coefficient 700 nm)")?"selected":"")%>>Scat 700 (Scattering Coefficient 700 nm)</option>
																<option value="VFR (Volume Fraction Remaining at Heater Temperature 100°C)" <%=(paramNom.equals("VFR (Volume Fraction Remaining at Heater Temperature 100°C)")?"selected":"")%>>VFR (Volume Fraction Remaining at Heater Temperature 100&deg;C)</option>
															</logic:equal>
															<logic:equal name="paramCat" value="Meteo/Radiation">
																<option value="Cloudfrac 0-3 (Cloud Fraction Low Level Clouds from 0 to 3 km)" <%=(paramNom.equals("Cloudfrac 0-3 (Cloud Fraction Low Level Clouds from 0 to 3 km)")?"selected":"")%>>Cloudfrac 0-3 (Cloud Fraction Low Level Clouds from 0 to 3 km)</option>
																<option value="Cloudfrac 3-7 (Cloud Fraction Medium Level Clouds from 3 to 7 km)" <%=(paramNom.equals("Cloudfrac 3-7 (Cloud Fraction Medium Level Clouds from 3 to 7 km)")?"selected":"")%>>Cloudfrac 3-7 (Cloud Fraction Medium Level Clouds from 3 to 7 km)</option>
																<option value="Cloudfrac >7 (Cloud Fraction High Level Clouds >7 km)" <%=(paramNom.equals("Cloudfrac >7 (Cloud Fraction High Level Clouds >7 km)")?"selected":"")%>>Cloudfrac &rsaquo;7 (Cloud Fraction High Level Clouds &rsaquo;7 km)</option>
																<option value="DP (DewPoint)" <%=(paramNom.equals("DP (DewPoint)")?"selected":"")%>>DP (DewPoint)</option>
																<option value="Ext (Aerosol Extinction-Vertical Profile)" <%=(paramNom.equals("Ext (Aerosol Extinction-Vertical Profile)")?"selected":"")%>>Ext (Aerosol Extinction-Vertical Profile)</option>
																<option value="MLD (Mixing Layer Height)" <%=(paramNom.equals("MLD (Mixing Layer Height)")?"selected":"")%>>MLD (Mixing Layer Height)</option>
																<option value="P (Pressure)" <%=(paramNom.equals("P (Pressure)")?"selected":"")%>>P (Pressure)</option>
																<option value="P2m (Pressure 2m)" <%=(paramNom.equals("P2m (Pressure 2m)")?"selected":"")%>>P2m (Pressure 2m)</option>
																<option value="PC (Cumulated Precipitation)" <%=(paramNom.equals("PC (Cumulated Precipitation)")?"selected":"")%>>PC (Cumulated Precipitation)</option>
																<option value="PR (Precipitation Rate)" <%=(paramNom.equals("PR (Precipitation Rate)")?"selected":"")%>>PR (Precipitation Rate)</option>
																<option value="PR-VP (Polarisation Ratio-Vertical Profile)" <%=(paramNom.equals("PR-VP (Polarisation Ratio-Vertical Profile)")?"selected":"")%>>PR-VP (Polarisation Ratio-Vertical Profile)</option>
																<option value="R2 (Normalised Backscatter Ratio-Vertical Profile)" <%=(paramNom.equals("R2 (Normalised Backscatter Ratio-Vertical Profile)")?"selected":"")%>>R2 (Normalised Backscatter Ratio-Vertical Profile)</option>
																<option value="RH (Relative Humidity)" <%=(paramNom.equals("RH (Relative Humidity)")?"selected":"")%>>RH (Relative Humidity)</option>
																<option value="RH2m (Relative Humidity 2m)" <%=(paramNom.equals("RH2m (Relative Humidity 2m)")?"selected":"")%>>RH2m (Relative Humidity 2m)</option>
																<option value="SR (Solar Radiation)" <%=(paramNom.equals("SR (Solar Radiation)")?"selected":"")%>>SR (Solar Radiation)</option>
																<option value="T (Temperature)" <%=(paramNom.equals("T (Temperature)")?"selected":"")%>>T (Temperature)</option>
																<option value="T2m (Temperature 2m)" <%=(paramNom.equals("T2m (Temperature 2m)")?"selected":"")%>>T2m (Temperature 2m)</option>
																<option value="UV (UV_index)" <%=(paramNom.equals("UV (UV_index)")?"selected":"")%>>UV (UV_index)</option>
																<option value="WD (Wind Direction)" <%=(paramNom.equals("WD (Wind Direction)")?"selected":"")%>>WD (Wind Direction)</option>
																<option value="WD10m (Wind Direction 10m)" <%=(paramNom.equals("WD10m (Wind Direction 10m)")?"selected":"")%>>WD10m (Wind Direction 10m)</option>
																<option value="WS (Wind Speed)" <%=(paramNom.equals("WS (Wind Speed)")?"selected":"")%>>WS (Wind Speed)</option>
																<option value="WS-VP (Wind Speed-Vertical Profile)" <%=(paramNom.equals("WS-VP (Wind Speed-Vertical Profile)")?"selected":"")%>>WS-VP (Wind Speed-Vertical Profile)</option>
																<option value="WS10m (Wind Speed 10m)" <%=(paramNom.equals("WS10m (Wind Speed 10m)")?"selected":"")%>>WS10m (Wind Speed 10m)</option>
															</logic:equal>
															<logic:equal name="paramCat" value="Aircraft Parameters">
																<option value="Alt (Altitude : Derived from pressure assuming Hydrostatic law along aircraft's trajectory)" <%=(paramNom.equals("Alt (Altitude : Derived from pressure assuming Hydrostatic law along aircraft's trajectory)")?"selected":"")%>>Alt (Altitude : Derived from pressure assuming Hydrostatic law along aircraft's trajectory)</option>
																<option value="CLW (cloud_liquid_water_mixing_ratio : from King-Probe" <%=(paramNom.equals("CLW (cloud_liquid_water_mixing_ratio : from King-Probe")?"selected":"")%>>CLW (cloud_liquid_water_mixing_ratio : from King-Probe</option>
																<option value="CO (chm_COvrai_Mozart_sync_1 : from Mozart instrument)" <%=(paramNom.equals("CO (chm_COvrai_Mozart_sync_1 : from Mozart instrument)")?"selected":"")%>>CO (chm_COvrai_Mozart_sync_1 : from Mozart instrument)</option>
																<option value="DSRIA (downwelling_shortwave_radiance_in_air : from Eppley PSP pyranometer, not corrected for attitude angles)" <%=(paramNom.equals("DSRIA (downwelling_shortwave_radiance_in_air : from Eppley PSP pyranometer, not corrected for attitude angles)")?"selected":"")%>>DSRIA (downwelling_shortwave_radiance_in_air : from Eppley PSP pyranometer, not corrected for attitude angles)</option>
																<option value="EW (eastward_wind : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)" <%=(paramNom.equals("EW (eastward_wind : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)")?"selected":"")%>>EW (eastward_wind : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)</option>
																<option value="Hei (Height : from radar-altimeter, range[0-15000] ft)" <%=(paramNom.equals("Hei (Height : from radar-altimeter, range[0-15000] ft)")?"selected":"")%>>Hei (Height : from radar-altimeter, range[0-15000] ft)</option>
																<option value="Lat (Latitude : from INS)" <%=(paramNom.equals("Lat (Latitude : from INS)")?"selected":"")%>>Lat (Latitude : from INS)</option>
																<option value="Lon (Longitude : from INS)" <%=(paramNom.equals("Lon (Longitude : from INS)")?"selected":"")%>>Lon (Longitude : from INS)</option>
																<option value="NW (northward_wind : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)" <%=(paramNom.equals("NW (northward_wind : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)")?"selected":"")%>>NW (northward_wind : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)</option>
																<option value="O3 (chm_Ozone_Mozart_sync_1 : from Mozart instrument)" <%=(paramNom.equals("O3 (chm_Ozone_Mozart_sync_1 : from Mozart instrument)")?"selected":"")%>>O3 (chm_Ozone_Mozart_sync_1 : from Mozart instrument)</option>
																<option value="P (air_pressure : from first front sensor, corrected for the so-called static defect)" <%=(paramNom.equals("P (air_pressure : from first front sensor, corrected for the so-called static defect)")?"selected":"")%>>P (air_pressure : from first front sensor, corrected for the so-called static defect)</option>
																<option value="PO (platform_orientation : Geographic Heading, from INS)" <%=(paramNom.equals("PO (platform_orientation : Geographic Heading, from INS)")?"selected":"")%>>PO (platform_orientation : Geographic Heading, from INS)</option>
																<option value="PPA (platform_pitch_angle : from INS)" <%=(paramNom.equals("PPA (platform_pitch_angle : from INS)")?"selected":"")%>>PPA (platform_pitch_angle : from INS)</option>
																<option value="PRA (platform_roll_angle : from INS)" <%=(paramNom.equals("PRA (platform_roll_angle : from INS)")?"selected":"")%>>PRA (platform_roll_angle : from INS)</option>
																<option value="RH (humidity_mixing_ratio : from bottom dew-point hygrometer)" <%=(paramNom.equals("RH (humidity_mixing_ratio : from bottom dew-point hygrometer)")?"selected":"")%>>RH (humidity_mixing_ratio : from bottom dew-point hygrometer)</option>
																<option value="T (air_temperature : from non-deiced Rosemount 102 E2AL sensor)" <%=(paramNom.equals("T (air_temperature : from non-deiced Rosemount 102 E2AL sensor)")?"selected":"")%>>T (air_temperature : from non-deiced Rosemount 102 E2AL sensor)</option>
																<option value="UAV (upward_air_velocity : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)" <%=(paramNom.equals("UAV (upward_air_velocity : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)")?"selected":"")%>>UAV (upward_air_velocity : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)</option>
																<option value="USRIA (upwelling_shortwave_radiance_in_air : from Eppley PSP pyranometer)" <%=(paramNom.equals("USRIA (upwelling_shortwave_radiance_in_air : from Eppley PSP pyranometer)")?"selected":"")%>>USRIA (upwelling_shortwave_radiance_in_air : from Eppley PSP pyranometer)</option>
																<option value="WD (wind_from_direction : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)" <%=(paramNom.equals("WD (wind_from_direction : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)")?"selected":"")%>>WD (wind_from_direction : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)</option>
																<option value="WS (wind_speed : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)" <%=(paramNom.equals("WS (wind_speed : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)")?"selected":"")%>>WS (wind_speed : Attitudes and speed wrt ground from INS, air angles from radome, air speed from pitot)</option>
															</logic:equal>
															<logic:equal name="paramCat" value="VOC">
																<option value="C2Cl4 (Tetrachloroethylene)" <%=(paramNom.equals("C2Cl4 (Tetrachloroethylene)")?"selected":"")%>>C2Cl4 (Tetrachloroethylene)</option>
																<option value="C2H4 (Ethylene)" <%=(paramNom.equals("C2H4 (Ethylene)")?"selected":"")%>>C2H4 (Ethylene)</option>
																<option value="C2H6 (Ethane)" <%=(paramNom.equals("C2H6 (Ethane)")?"selected":"")%>>C2H6 (Ethane)</option>
																<option value="C3H6 (Propylene)" <%=(paramNom.equals("C3H6 (Propylene)")?"selected":"")%>>C3H6 (Propylene)</option>
																<option value="C3H8 (Propane)" <%=(paramNom.equals("C3H8 (Propane)")?"selected":"")%>>C3H8 (Propane)</option>
																<option value="i-C4H10 (Iso-butane)" <%=(paramNom.equals("i-C4H10 (Iso-butane)")?"selected":"")%>>i-C4H10 (Iso-butane)</option>
																<option value="n-C4H10 (N-butane)" <%=(paramNom.equals("n-C4H10 (N-butane)")?"selected":"")%>>n-C4H10 (N-butane)</option>
																<option value="C5H8 (Isoprene)" <%=(paramNom.equals("C5H8 (Isoprene)")?"selected":"")%>>C5H8 (Isoprene)</option>
																<option value="i-C5H12 (Iso-pentane)" <%=(paramNom.equals("i-C5H12 (Iso-pentane)")?"selected":"")%>>i-C5H12 (Iso-pentane)</option>
																<option value="n-C5H12 (N-pentane)" <%=(paramNom.equals("n-C5H12 (N-pentane)")?"selected":"")%>>n-C5H12 (N-pentane)</option>
																<option value="C6H3Cl3 (Benzene, 1,2,4-trichloro-)" <%=(paramNom.equals("C6H3Cl3 (Benzene, 1,2,4-trichloro-)")?"selected":"")%>>C6H3Cl3 (Benzene, 1,2,4-trichloro-)</option>
																<option value="C6H4(CH3)(CH2CH3) (O-ethyltoluene)" <%=(paramNom.equals("C6H4(CH3)(CH2CH3) (O-ethyltoluene)")?"selected":"")%>>C6H4(CH3)(CH2CH3) (O-ethyltoluene)</option>
																<option value="C6H4Cl2 (Benzene, 1,2-dichloro-)" <%=(paramNom.equals("C6H4Cl2 (Benzene, 1,2-dichloro-)")?"selected":"")%>>C6H4Cl2 (Benzene, 1,2-dichloro-)</option>
																<option value="C6H5CHCH2 (Styrene)" <%=(paramNom.equals("C6H5CHCH2 (Styrene)")?"selected":"")%>>C6H5CHCH2 (Styrene)</option>
																<option value="C6H5Cl (Benzene, chloro-)" <%=(paramNom.equals("C6H5Cl (Benzene, chloro-)")?"selected":"")%>>C6H5Cl (Benzene, chloro-)</option>
																<option value="C6H5(CH2CH2CH3) (N-propylbenzene)" <%=(paramNom.equals("C6H5(CH2CH2CH3) (N-propylbenzene)")?"selected":"")%>>C6H5(CH2CH2CH3) (N-propylbenzene)</option>
																<option value="C6H5(CH2CH3) (Ethylbenzene)" <%=(paramNom.equals("C6H5(CH2CH3) (Ethylbenzene)")?"selected":"")%>>C6H5(CH2CH3) (Ethylbenzene)</option>
																<option value="C6H6 (Benzene)" <%=(paramNom.equals("C6H6 (Benzene)")?"selected":"")%>>C6H6 (Benzene)</option>
																<option value="c-C6H12 (Cyclohexane)" <%=(paramNom.equals("c-C6H12 (Cyclohexane)")?"selected":"")%>>c-C6H12 (Cyclohexane)</option>
																<option value="C6H14 (Hexane)" <%=(paramNom.equals("C6H14 (Hexane)")?"selected":"")%>>C6H14 (Hexane)</option>
																<option value="C7H8 (Toluene)" <%=(paramNom.equals("C7H8 (Toluene)")?"selected":"")%>>C7H8 (Toluene)</option>
																<option value="o-C7H8 (O-xylene)" <%=(paramNom.equals("o-C7H8 (O-xylene)")?"selected":"")%>>o-C7H8 (O-xylene)</option>
																<option value="m+p-C7H8 (M,P-xylenes)" <%=(paramNom.equals("m+p-C7H8 (M,P-xylenes)")?"selected":"")%>>m+p-C7H8 (M,P-xylenes)</option>
																<option value="n-C7H16 (N-heptane)" <%=(paramNom.equals("n-C7H16 (N-heptane)")?"selected":"")%>>n-C7H16 (N-heptane)</option>
																<option value="n-C8H18 (N-OCTANE)" <%=(paramNom.equals("n-C8H18 (N-OCTANE)")?"selected":"")%>>n-C8H18 (N-OCTANE)</option>
																<option value="n-C9H20 (Nonane)" <%=(paramNom.equals("n-C9H20 (Nonane)")?"selected":"")%>>n-C9H20 (Nonane)</option>
																<option value="C10H8 (Naphthalene)" <%=(paramNom.equals("C10H8 (Naphthalene)")?"selected":"")%>>C10H8 (Naphthalene)</option>
																<option value="C10H16 (A-pinen)" <%=(paramNom.equals("C10H16 (A-pinen)")?"selected":"")%>>C10H16 (A-pinen)</option>
																<option value="n-C10H22 (N-decane)" <%=(paramNom.equals("n-C10H22 (N-decane)")?"selected":"")%>>n-C10H22 (N-decane)</option>
																<option value="CCl4 (Carbon Tetrachloride) " <%=(paramNom.equals("CCl4 (Carbon Tetrachloride) ")?"selected":"")%>>CCl4 (Carbon Tetrachloride) </option>
																<option value="CF2Cl2 (Dichlorodifluoromethane)" <%=(paramNom.equals("CF2Cl2 (Dichlorodifluoromethane)")?"selected":"")%>>CF2Cl2 (Dichlorodifluoromethane)</option>
																<option value="CH2=CHCH=CH2 (1,3-butadiene)" <%=(paramNom.equals("CH2=CHCH=CH2 (1,3-butadiene)")?"selected":"")%>>CH2=CHCH=CH2 (1,3-butadiene)</option>
																<option value="CH2=CHCH2CH2CH2CH3 (1-hexene)" <%=(paramNom.equals("CH2=CHCH2CH2CH2CH3 (1-hexene)")?"selected":"")%>>CH2=CHCH2CH2CH2CH3 (1-hexene)</option>
																<option value="CH2=CHCH2CH2CH3 (1-pentene)" <%=(paramNom.equals("CH2=CHCH2CH2CH3 (1-pentene)")?"selected":"")%>>CH2=CHCH2CH2CH3 (1-pentene)</option>
																<option value="CH2=CHCH2CH3 (1-butene)" <%=(paramNom.equals("CH2=CHCH2CH3 (1-butene)")?"selected":"")%>>CH2=CHCH2CH3 (1-butene)</option>
																<option value="c-(CH2CH2CH2CH2CH)CH3 (ME-cyclopentane)" <%=(paramNom.equals("c-(CH2CH2CH2CH2CH)CH3 (ME-cyclopentane)")?"selected":"")%>>c-(CH2CH2CH2CH2CH)CH3 (ME-cyclopentane)</option>
																<option value="c-(CH2CH2CH2CH2CH2CH)CH3 (ME-cyclohexane)" <%=(paramNom.equals("c-(CH2CH2CH2CH2CH2CH)CH3 (ME-cyclohexane)")?"selected":"")%>>c-(CH2CH2CH2CH2CH2CH)CH3 (ME-cyclohexane)</option>
																<option value="CH2ClCHClCH3 (Propane, 1,2-dichloro-)" <%=(paramNom.equals("CH2ClCHClCH3 (Propane, 1,2-dichloro-)")?"selected":"")%>>CH2ClCHClCH3 (Propane, 1,2-dichloro-)</option>
																<option value="(CH3)2C=CH2 (I-butene)" <%=(paramNom.equals("(CH3)2C=CH2 (I-butene)")?"selected":"")%>>(CH3)2C=CH2 (I-butene)</option>
																<option value="(CH3)2CCH(CH3)CH(CH3)2 (2,3,4-TME-pentane)" <%=(paramNom.equals("(CH3)2CCH(CH3)CH(CH3)2 (2,3,4-TME-pentane)")?"selected":"")%>>(CH3)2CCH(CH3)CH(CH3)2 (2,3,4-TME-pentane)</option>
																<option value="(CH3)2CH=CHCH3 (2-ME-2-butene)" <%=(paramNom.equals("(CH3)2CH=CHCH3 (2-ME-2-butene)")?"selected":"")%>>(CH3)2CH=CHCH3 (2-ME-2-butene)</option>
																<option value="(CH3)2CHCH2CH3 (2-ME pentane)" <%=(paramNom.equals("(CH3)2CHCH2CH3 (2-ME pentane)")?"selected":"")%>>(CH3)2CHCH2CH3 (2-ME pentane)</option>
																<option value="(CH3)2CHCH2CH3 (3-ME-pentane)" <%=(paramNom.equals("(CH3)2CHCH2CH3 (3-ME-pentane)")?"selected":"")%>>(CH3)2CHCH2CH3 (3-ME-pentane)</option>
																<option value="(CH3)2CH(CH3)CHCH2CH3 (2,3-dimethyl pentane)" <%=(paramNom.equals("(CH3)2CH(CH3)CHCH2CH3 (2,3-dimethyl pentane)")?"selected":"")%>>(CH3)2CH(CH3)CHCH2CH3 (2,3-dimethyl pentane)</option>
																<option value="(CH3)3CCH2CH(CH3)2 (2,2,4-TM-pentane)" <%=(paramNom.equals("(CH3)3CCH2CH(CH3)2 (2,2,4-TM-pentane)")?"selected":"")%>>(CH3)3CCH2CH(CH3)2 (2,2,4-TM-pentane)</option>
																<option value="cis-CH3CH=CHCH3 (CIS-2-butene)" <%=(paramNom.equals("cis-CH3CH=CHCH3 (CIS-2-butene)")?"selected":"")%>>cis-CH3CH=CHCH3 (CIS-2-butene)</option>
																<option value="t-CH3CH=CHCH2CH3 (Trans-2-pentene)" <%=(paramNom.equals("t-CH3CH=CHCH2CH3 (Trans-2-pentene)")?"selected":"")%>>t-CH3CH=CHCH2CH3 (Trans-2-pentene)</option>
																<option value="t-CH3CH=CHCH3 (Trans-2-butene)" <%=(paramNom.equals("t-CH3CH=CHCH3 (Trans-2-butene)")?"selected":"")%>>t-CH3CH=CHCH3 (Trans-2-butene)</option>
																<option value="CH3CH2CH(CH3)CHCH2CH2CH3 (3-ME-heptane)" <%=(paramNom.equals("CH3CH2CH(CH3)CHCH2CH2CH3 (3-ME-heptane)")?"selected":"")%>>CH3CH2CH(CH3)CHCH2CH2CH3 (3-ME-heptane)</option>
																<option value="CH3CH2CH(CH3)CHCH2CH3 (3-ME-hexane)" <%=(paramNom.equals("CH3CH2CH(CH3)CHCH2CH3 (3-ME-hexane)")?"selected":"")%>>CH3CH2CH(CH3)CHCH2CH3 (3-ME-hexane)</option>
																<option value="CH3CHO (Acetaldehyde)" <%=(paramNom.equals("CH3CHO (Acetaldehyde)")?"selected":"")%>>CH3CHO (Acetaldehyde)</option>
																<option value="CHCl2CH2Cl (Ethane, 1,1,2-trichloro-)" <%=(paramNom.equals("CHCl2CH2Cl (Ethane, 1,1,2-trichloro-)")?"selected":"")%>>CHCl2CH2Cl (Ethane, 1,1,2-trichloro-)</option>
																<option value="CHCl3 (Trichloromethane)" <%=(paramNom.equals("CHCl3 (Trichloromethane)")?"selected":"")%>>CHCl3 (Trichloromethane)</option>
																<option value="CH3CN (Acetonitrile)" <%=(paramNom.equals("CH3CN (Acetonitrile)")?"selected":"")%>>CH3CN (Acetonitrile)</option>
																<option value="CH3COOCH2CH3 (Ethyl acetate)" <%=(paramNom.equals("CH3COOCH2CH3 (Ethyl acetate)")?"selected":"")%>>CH3COOCH2CH3 (Ethyl acetate)</option>
																<option value="1,2,4 TMB (1,2,4-trimethylbenzene)" <%=(paramNom.equals("1,2,4 TMB (1,2,4-trimethylbenzene)")?"selected":"")%>>1,2,4 TMB (1,2,4-trimethylbenzene)</option>
																<option value="1,3,5 TMB (1,3,5-trimethylbenzene)" <%=(paramNom.equals("1,3,5 TMB (1,3,5-trimethylbenzene)")?"selected":"")%>>1,3,5 TMB (1,3,5-trimethylbenzene)</option>
															</logic:equal>
															<logic:equal name="paramCat" value="Sums of VOC from PTRMS">
																<option value="m/z 43 (Sum propene, acetic acid + acetone + PAN + alkanes & alkenes fragments)" <%=(paramNom.equals("m/z 43 (Sum propene, acetic acid + acetone + PAN + alkanes & alkenes fragments)")?"selected":"")%>>m/z 43 (Sum propene, acetic acid + acetone + PAN + alkanes &amp; alkenes fragments)</option>
																<option value="m/z 47 (Sum formic acid, ethanol)" <%=(paramNom.equals("m/z 47 (Sum formic acid, ethanol)")?"selected":"")%>>m/z 47 (Sum formic acid, ethanol)</option>
																<option value="m/z 57 (Sum mtbe + alkanes + butanol fragments + acrolein + butene isomers)" <%=(paramNom.equals("m/z 57 (Sum mtbe + alkanes + butanol fragments + acrolein + butene isomers)")?"selected":"")%>>m/z 57 (Sum mtbe + alkanes + butanol fragments + acrolein + butene isomers)</option>
																<option value="m/z 59 (Sum acetone + propanal + glyoxal)" <%=(paramNom.equals("m/z 59 (Sum acetone + propanal + glyoxal)")?"selected":"")%>>m/z 59 (Sum acetone + propanal + glyoxal)</option>
																<option value="m/z 61 (Sum acetic acid, ethyl acetate fragment)" <%=(paramNom.equals("m/z 61 (Sum acetic acid, ethyl acetate fragment)")?"selected":"")%>>m/z 61 (Sum acetic acid, ethyl acetate fragment)</option>
																<option value="m/z 71 (Sum Methacrolein + Methyl vinyl Ketone)" <%=(paramNom.equals("m/z 71 (Sum Methacrolein + Methyl vinyl Ketone)")?"selected":"")%>>m/z 71 (Sum Methacrolein + Methyl vinyl Ketone)</option>
																<option value="m/z 73 (Sum Methyl ethyl ketone, butanal, Methyl glyoxal + C5-C9 n-aldehydes)" <%=(paramNom.equals("m/z 73 (Sum Methyl ethyl ketone, butanal, Methyl glyoxal + C5-C9 n-aldehydes)")?"selected":"")%>>m/z 73 (Sum Methyl ethyl ketone, butanal, Methyl glyoxal + C5-C9 n-aldehydes)</option>
																<option value="m/z 75 (Sum butanol, hydroxyacetone)" <%=(paramNom.equals("m/z 75 (Sum butanol, hydroxyacetone)")?"selected":"")%>>m/z 75 (Sum butanol, hydroxyacetone)</option>
																<option value="m/z 77 (Sum peroxyacetic nitric anhydride PAN)" <%=(paramNom.equals("m/z 77 (Sum peroxyacetic nitric anhydride PAN)")?"selected":"")%>>m/z 77 (Sum peroxyacetic nitric anhydride PAN)</option>
																<option value="m/z 81 (Sum hexenal + monoterpenes fragments)" <%=(paramNom.equals("m/z 81 (Sum hexenal + monoterpenes fragments)")?"selected":"")%>>m/z 81 (Sum hexenal + monoterpenes fragments)</option>
																<option value="m/z 83 (Sum cis hexenol + hexanal fragments, hexadienes, cyclohexene, methyl furan + C5-C9 n-aldehydes)" <%=(paramNom.equals("m/z 83 (Sum cis hexenol + hexanal fragments, hexadienes, cyclohexene, methyl furan + C5-C9 n-aldehydes)")?"selected":"")%>>m/z 83 (Sum cis hexenol + hexanal fragments, hexadienes, cyclohexene, methyl furan + C5-C9 n-aldehydes)</option>
																<option value="m/z 85 (Sum ethyl vinyl ketone + alkanes & alkenes fragments)" <%=(paramNom.equals("m/z 85 (Sum ethyl vinyl ketone + alkanes & alkenes fragments)")?"selected":"")%>>m/z 85 (Sum ethyl vinyl ketone + alkanes &amp; alkenes fragments)</option>
																<option value="m/z 87 (Sum 2-methyl-3-butanol, C carbonyls)" <%=(paramNom.equals("m/z 87 (Sum 2-methyl-3-butanol, C carbonyls)")?"selected":"")%>>m/z 87 (Sum 2-methyl-3-butanol, C carbonyls)</option>
																<option value="m/z 97 (Sum furan derivatives + C5-C9 n-aldehydes)" <%=(paramNom.equals("m/z 97 (Sum furan derivatives + C5-C9 n-aldehydes)")?"selected":"")%>>m/z 97 (Sum furan derivatives + C5-C9 n-aldehydes)</option>
																<option value="m/z 101 (Sum isoprene hydroperoxides + hexanal + cis hexenol)" <%=(paramNom.equals("m/z 101 (Sum isoprene hydroperoxides + hexanal + cis hexenol)")?"selected":"")%>>m/z 101 (Sum isoprene hydroperoxides + hexanal + cis hexenol)</option>
																<option value="m/z 105 (Sum styrene, PiBN)" <%=(paramNom.equals("m/z 105 (Sum styrene, PiBN)")?"selected":"")%>>m/z 105 (Sum styrene, PiBN)</option>
																<option value="m/z 107 (Sum C8 aromatics + benzaldehyde)" <%=(paramNom.equals("m/z 107 (Sum C8 aromatics + benzaldehyde)")?"selected":"")%>>m/z 107 (Sum C8 aromatics + benzaldehyde)</option>
																<option value="m/z 121 (Sum C9 aromatics + tolualdehyde)" <%=(paramNom.equals("m/z 121 (Sum C9 aromatics + tolualdehyde)")?"selected":"")%>>m/z 121 (Sum C9 aromatics + tolualdehyde)</option>
																<option value="m/z 137 (Sum monoterpenes)" <%=(paramNom.equals("m/z 137 (SUM monoterpenes)")?"selected":"")%>>m/z 137 (SUM monoterpenes)</option>
																<option value="m/z 151 (Pinonaldehyde)" <%=(paramNom.equals("m/z 151 (Pinonaldehyde)")?"selected":"")%>>m/z 151 (Pinonaldehyde)</option>
																<option value="m/z 153 (Vanillin)" <%=(paramNom.equals("m/z 153 (Vanillin)")?"selected":"")%>>m/z 153 (Vanillin)</option>
															</logic:equal>
														</select>
														<bean:message key="data.upload.metadata.nomoth"/> :
														<input type="text" id="paramNomOth_${paramId}" name="metadata.contenuPrevu.params[${paramId}].nomOth" value="${paramNomOth}"/>
														<%--input type="text" id="paramNom_${paramId}" name="metadata.contenuPrevu.params[${paramId}].nom" value="${paramNom}"/--%>
														<%--nested:text property="nom"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:equal property="nom" value="-">
															<nested:write property="nomOth"/>
														</nested:equal>
														<nested:notEqual property="nom" value="-">
															<nested:write property="nom"/>
														</nested:notEqual>
													</logic:notEqual>
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.param.unite"/> * : </td>
												<td colspan="2">
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<select id="paramUnit_${paramId}" name="metadata.contenuPrevu.params[${paramId}].unite">
														<%--nested:select property="unite"--%>
															<option value="-" <%=(paramUnit.equals("-")?"selected":"")%>>-</option>
															<option value="no unit" <%=(paramUnit.equals("no unit")?"selected":"")%>>no unit</option>
															<option value="deg" <%=(paramUnit.equals("deg")?"selected":"")%>>&deg;</option>
															<option value="degC" <%=(paramUnit.equals("degC")?"selected":"")%>>&deg;C</option>
															<option value="degK" <%=(paramUnit.equals("degK")?"selected":"")%>>&deg;K</option>
															<option value="%" <%=(paramUnit.equals("%")?"selected":"")%>>%</option>
															<option value="cm-3" <%=(paramUnit.equals("cm-3")?"selected":"")%>>cm-3</option>
															<option value="hPa" <%=(paramUnit.equals("hPa")?"selected":"")%>>hPa</option>
															<option value="m" <%=(paramUnit.equals("m")?"selected":"")%>>m</option>
															<option value="m-1" <%=(paramUnit.equals("m-1")?"selected":"")%>>m-1</option>
															<option value="mbar" <%=(paramUnit.equals("mbar")?"selected":"")%>>mbar</option>
															<option value="mm" <%=(paramUnit.equals("mm")?"selected":"")%>>mm</option>
															<option value="mm-1" <%=(paramUnit.equals("mm-1")?"selected":"")%>>mm-1</option>
															<option value="mm.h-1" <%=(paramUnit.equals("mm.h-1")?"selected":"")%>>mm.h-1</option>
															<option value="m.s-1" <%=(paramUnit.equals("m.s-1")?"selected":"")%>>m.s-1</option>
															<option value="microg.m-3" <%=(paramUnit.equals("microg.m-3")?"selected":"")%>>&micro;g.m-3</option>
															<option value="ng.m-3" <%=(paramUnit.equals("ng.m-3")?"selected":"")%>>ng.m-3</option>
															<option value="ppbv" <%=(paramUnit.equals("ppbv")?"selected":"")%>>ppbv</option>
															<option value="ppmv" <%=(paramUnit.equals("ppmv")?"selected":"")%>>ppmv</option>
															<option value="pptv" <%=(paramUnit.equals("pptv")?"selected":"")%>>pptv</option>
															<option value="s" <%=(paramUnit.equals("s")?"selected":"")%>>s</option>
															<option value="s-1" <%=(paramUnit.equals("s-1")?"selected":"")%>>s-1</option>
															<option value="W.m-2" <%=(paramUnit.equals("W.m-2")?"selected":"")%>>W.m-2</option>
														</select>
														<bean:message key="data.upload.metadata.nomoth"/> :
														<input type="text" id="unitOth_${paramId}" name="metadata.contenuPrevu.params[${paramId}].uniteOth" value="${unitOth}"/>
														<%--nested:text property="uniteOth"/--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:equal property="unite" value="-">
															<nested:write property="uniteOth"/>
														</nested:equal>
														<nested:notEqual property="unite" value="-">
															<nested:write property="unite"/>
														</nested:notEqual>
													</logic:notEqual>		
												</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.param.capt"/> * : </td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<select id="paramCapt_${paramId}" name="metadata.contenuPrevu.params[${paramId}].nomCapteur">
														<%--nested:select property="nomCapteur"--%>
															<nested:root name="metadataForm">
																<nested:nest property="metadata">
																	<nested:nest property="contenuPrevu">
																		<nested:iterate property="capteurs">
																			<nested:define id="typeCapt" property="type"/>
																			<nested:define id="typeOthCapt" property="typeOth"/>
																			<nested:define id="fabCapt" property="fabriquant"/>
																			<nested:define id="modCapt" property="modele"/>
																			<nested:define id="numCapt" property="num"/>
																			<logic:equal name="numCapt" value="">
																				<bean:define id="spNumCapt" value=""/>
																			</logic:equal>
																			<logic:notEqual name="numCapt" value="">
																				<bean:define id="spNumCapt" value=" "/>
																			</logic:notEqual>
																			<logic:equal name="fabCapt" value="">
																				<bean:define id="spFabCapt" value=""/>
																			</logic:equal>
																			<logic:notEqual name="fabCapt" value="">
																				<bean:define id="spFabCapt" value=" "/>
																			</logic:notEqual>
																			<logic:equal name="modCapt" value="">
																				<bean:define id="spModCapt" value=""/>
																			</logic:equal>
																			<logic:notEqual name="modCapt" value="">
																				<bean:define id="spModCapt" value=" "/>
																			</logic:notEqual>
																			<bean:define id="nomCapt" value=""/>
																			<logic:equal name="typeCapt" value="-">
																				<bean:define id="nomCapt" value="${typeOthCapt}${spFabCapt}${fabCapt}${spModCapt}${modCapt}${spNumCapt}${numCapt}"/>
																			</logic:equal>
																			<logic:notEqual name="typeCapt" value="-">
																				<bean:define id="nomCapt" value="${typeCapt}${spFabCapt}${fabCapt}${spModCapt}${modCapt}${spNumCapt}${numCapt}"/>
																			</logic:notEqual>
																			<option value="${nomCapt}" <%=(paramCapt.equals(nomCapt)?"selected":"")%>>${nomCapt}</option>
																		</nested:iterate>
																	</nested:nest>
																</nested:nest>
															</nested:root>
														</select>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														<nested:write property="nomCapteur"/>
													</logic:notEqual>		
												</td>
												<td>
													<logic:equal name="SES_RIGHTS" scope="session" value="write">
														<input type="button" value="<bean:message key="data.upload.metadata.deleteParam"/>" onclick="removeParam('${contextPath}',${paramId})"/>
														<%--html:submit indexed="true" property="mess">
															<bean:message key="data.upload.metadata.deleteParam"/>
														</html:submit--%>
													</logic:equal>
													<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
														&nbsp;
													</logic:notEqual>
												</td>
											</tr>
										</table>
									</nested:iterate>
								</td></tr>
								<tr><td>
									<logic:equal name="SES_RIGHTS" scope="session" value="write">
										<input type="button" value="<bean:message key="data.upload.metadata.newParam"/>" onclick="addParam('${contextPath}')" class="add"/>
										<%--html:submit property="mess[0]" styleClass="add">
											<bean:message key="data.upload.metadata.newParam"/>
										</html:submit--%>
									</logic:equal>
									<logic:notEqual name="SES_RIGHTS" scope="session" value="write">
										&nbsp;
									</logic:notEqual>
								</td></tr>
							</table>
							<div class="hdp">
								<html:link page="/data/upload/metadata.jsp" anchor="top" titleKey="app.hdp">
									<html:img page="/images/utils/hdp1.png"/>
								</html:link>
							</div>

							<div class="legende">* <bean:message key="app.mandatory"/></div>

						</nested:nest>

					</div>
					
					&nbsp;
					<hr/>
					<div class="title"><a name="integr_data"></a>
					<bean:message key="data.upload.metadata.integration"/></div>
					<nested:nest property="integ">
						<div id="level2">
							<table>
								<nested:nest property="resp">
									<tr>
										<td><bean:message key="data.upload.metadata.integration.resp"/> : </td>
										<td>
											<table>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.nom"/> : </td>
													<td>
														<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:text property="nom"/>
														</logic:equal>
														<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:write property="nom"/>
														</logic:notEqual>
													</td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.prenom"/> : </td>
													<td>
														<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:text property="prenom"/>
														</logic:equal>
														<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:write property="prenom"/>
														</logic:notEqual>
													</td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.org"/> : </td>
													<td>
														<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:text property="organisme"/>
														</logic:equal>
														<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:write property="organisme"/>
														</logic:notEqual>
													</td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.contact.mail"/> : </td>
													<td>
														<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:text property="mail"/>
														</logic:equal>
														<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:write property="mail"/>
														</logic:notEqual>
													</td>
												</tr>											
											</table>
										</td>
									</tr>
								</nested:nest>
								<nested:nest property="dateD">
									<tr>
										<td><bean:message key="data.upload.metadata.integration.dd"/> : </td>
										<td>
											<table>
												<tr>
													<td><bean:message key="data.upload.metadata.time.date"/> : </td>
													<td>
														<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:text property="date"/><i>(<%=DateTime.formatDateStandard%>)</i>
														</logic:equal>
														<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:write property="date"/>
														</logic:notEqual>
													</td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.time.heure"/> : </td>
													<td>
														<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:text property="heure"/><i>(<%=DateTime.formatHeureStandard%>)</i>
														</logic:equal>
														<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:write property="heure"/>
														</logic:notEqual>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</nested:nest>
								<nested:nest property="dateF">
									<tr>
										<td><bean:message key="data.upload.metadata.integration.df"/> : </td>
										<td>
											<table>
												<tr>
													<td><bean:message key="data.upload.metadata.time.date"/> : </td>
													<td>
														<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:text property="date"/><i>(<%=DateTime.formatDateStandard%>)</i>
														</logic:equal>
														<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:write property="date"/>
														</logic:notEqual>
													</td>
												</tr>
												<tr>
													<td><bean:message key="data.upload.metadata.time.heure"/> : </td>
													<td>
														<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:text property="heure"/><i>(<%=DateTime.formatHeureStandard%>)</i>
														</logic:equal>
														<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
															<nested:write property="heure"/>
														</logic:notEqual>
													</td>
												</tr>
											</table>
										</td>
									</tr>
								</nested:nest>
								<tr>
									<td><bean:message key="data.upload.metadata.integration.nbfiles"/> : </td>
									<td>
										<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:text property="nbFiles"/>
										</logic:equal>
										<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:write property="nbFiles"/>
										</logic:notEqual>
									</td>
								</tr>
<%--								<tr>
									<td><bean:message key="data.upload.metadata.integration.size"/> : </td>
									<td>
										<logic:equal name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:textarea property="size"/>
										</logic:equal>
										<logic:notEqual name="SES_USER" property="roles" scope="session" value="coordinateur">
											<nested:write property="size"/>
										</logic:notEqual>
									</td>
								</tr>
--%>
							</table>
						</div>
					</nested:nest>

					<div class="hdp">
						<html:link page="/data/upload/metadata.jsp" anchor="top" titleKey="app.hdp">
							<html:img page="/images/utils/hdp1.png"/>
						</html:link>
					</div>
					
					<div class="submit">
						<html:cancel><bean:message key="app.cancel"/></html:cancel>
						<html:submit property="mess[0]"><bean:message key="app.submit"/></html:submit>
					</div>																
				</div>
				
			</nested:nest>
		</html:form>	
		
	</tiles:put>
</tiles:insert>
	