<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.access"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		<bean:message key="data.access.intro3"/>
		<bean:define id="access" value="access"/>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
		<html:link page="/JeuxAccess.do">
			<bean:message key="data.access.jeux"/>
		</html:link>
		<br>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
		<html:link page="/ParametresAccess.do">
			<bean:message key="data.access.param"/>
		</html:link>
		<br>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
		<html:link page="/CapteursAccess.do">
			<bean:message key="data.access.capt"/>
		</html:link>
		<br>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
		<html:link page="/PlateformesAccess.do">
			<bean:message key="data.access.plat"/>
		</html:link>
		<%--br>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;
		<html:link page="/DataAccess.do">
			<bean:message key="data.access.extract"/>
		</html:link--%>
	</tiles:put>
</tiles:insert>
