<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/navCapt.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access.capt4"/>
	</tiles:put>

	<nested:root name="capteurForm">
	
	<tiles:put name="bodytitle" type="string">
		<nested:nest property="capteur">
			<bean:message key="data.access.capt1"/> :
			<nested:nest property="typeCapteur">
				<nested:write property="typeCapteurNom"/>
			</nested:nest>
			<nested:notEqual property="capteurModele" value="UNKNOWN">
				- <nested:write property="capteurModele"/>
			</nested:notEqual>
			<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
				- <nested:write property="fabriquant.fabriquantNom"/>
			</nested:notEqual>
			<nested:notEqual property="capteurNumserie" value="UNKNOWN">
				(<bean:message key="data.access.capt.nums"/>&nbsp;:&nbsp;<nested:write property="capteurNumserie"/>)
			</nested:notEqual>
		</nested:nest>
	</tiles:put>

	<tiles:put name="body" type="string">
		<div id="errors"><html:errors/></div>
		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		
		<nested:notEqual property="path" value="">
			<nested:define id="chemin" property="path"/>
<%
	String dataSet;
	if (((String)chemin).lastIndexOf("/")!=-1){
		dataSet = ((String)chemin).substring(((String)chemin).lastIndexOf("/")+1,((String)chemin).lastIndexOf("_"));
	} else {
		dataSet = (String)chemin;
	}
%>
			<bean:define id="nomJeu" value="<%=dataSet%>"/>
			<div class="submit">
				<html:link page="/MetadataInfo.do" paramName="chemin" paramId="metadataUri" titleKey="data.access.metadata.link">
					<bean:message key="app.access.metadata.back"/>&nbsp;<bean:write name="nomJeu"/>
				</html:link>
			</div>
		</nested:notEqual>
		
		<table>
			<nested:nest property="capteur">
			<tr><th>
				<nested:nest property="typeCapteur">
					<bean:message key="data.upload.metadata.capteur.type"/> : <nested:write property="typeCapteurNom"/>
				</nested:nest>
			</th></tr>
			<nested:notEqual property="capteurDescription" value="">
				<tr><td>
					<bean:message key="data.metadata.desc"/> : <nested:write property="capteurDescription"/>
				</td></tr>
			</nested:notEqual>
			<nested:nest property="fabriquant">
				<tr><td>
					<bean:message key="data.upload.metadata.capteur.fab"/> : <nested:write property="fabriquantNom"/>
				</td></tr>
			</nested:nest>
			<nested:notEqual property="capteurModele" value="">
				<tr><td>
					<bean:message key="data.upload.metadata.capteur.modele"/> : <nested:write property="capteurModele"/>
				</td></tr>
			</nested:notEqual>
			<nested:notEqual property="capteurNumserie" value="">
				<tr><td>
					<bean:message key="data.upload.metadata.capteur.nums"/> : <nested:write property="capteurNumserie"/>
				</td></tr>
			</nested:notEqual>
			<nested:notEqual property="capteurEtalonnage" value="">
				<tr><td>
					<bean:message key="data.upload.metadata.capteur.etalon"/> : <nested:write property="capteurEtalonnage"/>
				</td></tr>
			</nested:notEqual>
			</nested:nest>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<nested:size id="nbPlats" property="plateformes"/>
					<div id="messages"><bean:message key="data.access.plat3"/> (<bean:write name="nbPlats"/>) :</div>
				</td>
			</tr>
			<nested:iterate property="plateformes" indexId="platId">
				<tr>
					<td>
						<nested:define id="id" property="plateformeId"/>
						<html:link page="/DescPlateforme.do" titleKey="data.access.plat4" paramName="id" paramId="idPlat">
							<nested:write property="plateformeNom"/>
						</html:link>
					</td>
				</tr>
			</nested:iterate>
			<tr>
				<td>&nbsp;</td>
			</tr>
		</table>
		<nested:size id="nbParams" property="parametres"/>
		<table>
			<tr>
				<td>
					<div id="messages"><bean:message key="data.access.param3"/> (<bean:write name="nbParams"/>)&nbsp;:</div>
				</td>
			</tr>
			<nested:iterate property="parametres" indexId="paramId">
				<tr>
					<td>
						<nested:define id="id" property="parametreId"/>
						<html:link page="/DescParametre.do" titleKey="data.access.param4" paramName="id" paramId="idParam">
							<nested:write property="parametreNom"/> (<nested:write property="parametreCode"/>)
						</html:link>
					</td>
				</tr>
			</nested:iterate>
			<tr>
				<td>&nbsp;</td>
			</tr>
		</table>
		<nested:size id="nbJeux" property="jeux"/>
		<table>
			<tr>
				<td>
					<div id="messages"><bean:message key="data.access.jeux2"/> (<bean:write name="nbJeux"/>)&nbsp;:</div>
				</td>
			</tr>
			<nested:iterate property="jeux" indexId="jeuId">
				<tr>
					<td>
						<nested:define id="id" property="jeuId"/>
						<html:link page="/MetadataInfo.do" titleKey="data.access.metadata.link" paramName="id" paramId="idJeu">
							<nested:write property="jeuNom"/>
						</html:link>
						<bean:define id="download" value="download"/>
						<nested:notEqual property="nbFichiers" value="0">
							(<logic:notPresent name="SES_USER" scope="session">
								<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
									<nested:write property="nbFichiers"/>
									<nested:equal property="nbFichiers" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</nested:equal>
									<nested:notEqual name="nbFichiers" value="1">
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</nested:notEqual>
								</html:link>
							</logic:notPresent>
							<logic:present name="SES_USER" scope="session">
								<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
									<nested:write property="nbFichiers"/>
									<nested:equal property="nbFichiers" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</nested:equal>
									<nested:notEqual name="nbFichiers" value="1">
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</nested:notEqual>
								</nested:link>
							</logic:present>)
						</nested:notEqual>
					</td>
				</tr>
			</nested:iterate>
		</table>
		<div class="hdp" align="right">
			<html:link page="/data/access/desc_capt.jsp" anchor="top" titleKey="app.hdp">
				<html:img page="/images/utils/hdp1.png"/>
			</html:link>
		</div>
		<div class="submit">
			<html:link page="/CapteursAccess.do"><bean:message key="data.access.capt"/></html:link>
		</div>
	</tiles:put>
	</nested:root>
</tiles:insert>
