<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/navPlat.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access.plat4"/>
	</tiles:put>

	<nested:root name="plateformeForm">
	
	<tiles:put name="bodytitle" type="string">
		<nested:nest property="plateforme">
			<bean:message key="data.access.plat1"/> : <nested:write property="plateformeNom"/>
		</nested:nest>
	</tiles:put>

	<tiles:put name="body" type="string">
		<div id="errors"><html:errors/></div>
		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		
		<nested:notEqual property="path" value="">
			<nested:define id="chemin" property="path"/>
<%
	String dataSet;
	if (((String)chemin).lastIndexOf("/")!=-1){
		dataSet = ((String)chemin).substring(((String)chemin).lastIndexOf("/")+1,((String)chemin).lastIndexOf("_"));
	} else {
		dataSet = (String)chemin;
	}
%>
			<bean:define id="nomJeu" value="<%=dataSet%>"/>
			<div class="submit">
				<html:link page="/MetadataInfo.do" paramName="chemin" paramId="metadataUri" titleKey="data.access.metadata.link">
					<bean:message key="app.access.metadata.back"/>&nbsp;<bean:write name="nomJeu"/>
				</html:link>
			</div>
		</nested:notEqual>
		
		<table>
			<nested:nest property="plateforme">
			<tr><th>
				<nested:nest property="typePlateforme">
					<bean:message key="data.access.metadata.plat.type"/> : <nested:write property="typePlateformeNom"/>
				</nested:nest>
			</th></tr>
			<nested:notEqual property="plateformeDescription" value="">
				<tr><td>
					<bean:message key="data.metadata.desc"/> : <nested:write property="plateformeDescription"/>
				</td></tr>
			</nested:notEqual>
			</nested:nest>
			<nested:define id="latMax" property="latMax"/>
			<nested:define id="lonMax" property="lonMax"/>
			<nested:define id="altMax" property="altMax"/>
			<%--nested:define id="hsMax" property="hsMax"/--%>
			<nested:notEqual property="latMin" value="${latMax}">
			<tr><td>
				<bean:message key="data.access.plat.latmin"/> : <nested:write property="latMin"/> <bean:message key="unit.deg"/>
			</td></tr>
			<tr><td>
				<bean:message key="data.access.plat.latmax"/> : <bean:write name="latMax"/> <bean:message key="unit.deg"/>
			</td></tr>
			</nested:notEqual>
			<nested:equal property="latMin" value="${latMax}">
			<tr><td>
				<bean:message key="data.access.plat.lat"/> : <nested:write property="latMin"/> <bean:message key="unit.deg"/>
			</td></tr>
			</nested:equal>
			<nested:notEqual property="lonMin" value="${lonMax}">
			<tr><td>
				<bean:message key="data.access.plat.lonmin"/> : <nested:write property="lonMin"/> <bean:message key="unit.deg"/>
			</td></tr>
			<tr><td>
				<bean:message key="data.access.plat.lonmax"/> : <bean:write name="lonMax"/> <bean:message key="unit.deg"/>
			</td></tr>
			</nested:notEqual>
			<nested:equal property="lonMin" value="${lonMax}">
			<tr><td>
				<bean:message key="data.access.plat.lon"/> : <nested:write property="lonMin"/> <bean:message key="unit.deg"/>
			</td></tr>
			</nested:equal>
			<nested:notEqual property="altMin" value="${altMax}">
			<tr><td>
				<bean:message key="data.access.plat.altmin"/> : <nested:write property="altMin"/> m
			</td></tr>
			<tr><td>
				<bean:message key="data.access.plat.altmax"/> : <bean:write name="altMax"/> m
			</td></tr>
			</nested:notEqual>
			<nested:equal property="altMin" value="${altMax}">
			<tr><td>
				<bean:message key="data.access.plat.alt"/> : <nested:write property="altMin"/> m
			</td></tr>
			</nested:equal>
			<%--nested:notEqual property="hsMax" value="-1000000">
				<nested:notEqual property="hsMin" value="${hsMax}">
				<tr><td>
					<bean:message key="data.access.plat.hsmin"/> : <nested:write property="hsMin"/>
				</td></tr>
				<tr><td>
					<bean:message key="data.access.plat.hsmax"/> : <bean:write name="hsMax"/>
				</td></tr>
				</nested:notEqual>
				<nested:equal property="hsMin" value="${hsMax}">
				<tr><td>
					<bean:message key="data.access.plat.hs"/> : <nested:write property="hsMin"/>
				</td></tr>
				</nested:equal>
			</nested:notEqual--%>
			<tr>
				<td>&nbsp;</td>
			</tr>
			</table>
			<nested:iterate property="images" indexId="imId">
			<nested:define id="pathImg" property=""/>
			<logic:notEqual name="pathImg" value="">
				<nested:equal name="imId" value="0">
				<table>
					<tr>
						<td>
							<div id="messages"><bean:message key="data.upload.metadata.plat.img"/> :</div>
						</td>
					</tr>
				</table>
				</nested:equal>
				<table>
					<tr>
						<td>
							<html:img src="${pathImg}" />
						</td>
					</tr>
				</table>
				&nbsp;
			</logic:notEqual>
			</nested:iterate>
			<nested:size id="nbCapts" property="capteurs"/>
			<table>
			<tr>
				<td>
					<div id="messages"><bean:message key="data.access.capt3"/> (<bean:write name="nbCapts"/>) :</div>
				</td>
			</tr>
			<nested:iterate property="capteurs" indexId="captId">
				<tr>
					<td>
						<nested:define id="id" property="capteurId"/>
						<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="id" paramId="idCapt">
							<nested:nest property="typeCapteur">
								<b><nested:write property="typeCapteurNom"/></b>
							</nested:nest>
							<nested:notEqual property="capteurModele" value="UNKNOWN">
								- <nested:write property="capteurModele"/>
							</nested:notEqual>
							<nested:notEqual property="fabriquant.fabriquantNom" value="UNKNOWN">
								- <nested:write property="fabriquant.fabriquantNom"/>
							</nested:notEqual>
							<nested:notEqual property="capteurNumserie" value="UNKNOWN">
								(<bean:message key="data.access.capt.nums"/>&nbsp;:&nbsp;<nested:write property="capteurNumserie"/>)
							</nested:notEqual>
						</html:link>
					</td>
				</tr>
			</nested:iterate>
			<tr>
				<td>&nbsp;</td>
			</tr>
			<tr>
				<td>
					<nested:size id="nbParams" property="parametres"/>
					<div id="messages"><bean:message key="data.access.param3"/> (<bean:write name="nbParams"/>) :</div>
				</td>
			</tr>
			<nested:iterate property="parametres" indexId="paramId">
				<tr>
					<td>
						<nested:define id="id" property="parametreId"/>
						<html:link page="/DescParametre.do" titleKey="data.access.param4" paramName="id" paramId="idParam">
							<nested:write property="parametreNom"/> (<nested:write property="parametreCode"/>)
						</html:link>
					</td>
				</tr>
			</nested:iterate>
			<tr>
				<td>&nbsp;</td>
			</tr>
		</table>
		<nested:size id="nbJeux" property="jeux"/>
		<table>
			<tr>
				<td>
					<div id="messages"><bean:message key="data.access.jeux2"/> (<bean:write name="nbJeux"/>)&nbsp;:</div>
				</td>
			</tr>
			<nested:iterate property="jeux" indexId="jeuId">
				<tr>
					<td>
						<nested:define id="id" property="jeuId"/>
						<html:link page="/MetadataInfo.do" titleKey="data.access.metadata.link" paramName="id" paramId="idJeu">
							<nested:write property="jeuNom"/>
						</html:link>
						<bean:define id="download" value="download"/>
						<nested:notEqual property="nbFichiers" value="0">
							(<logic:notPresent name="SES_USER" scope="session">
								<html:link page="/InitLogonAccess.do" paramName="download" paramId="source">
									<nested:write property="nbFichiers"/>
									<nested:equal property="nbFichiers" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</nested:equal>
									<nested:notEqual name="nbFichiers" value="1">
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</nested:notEqual>
								</html:link>
							</logic:notPresent>
							<logic:present name="SES_USER" scope="session">
								<nested:link page="/FichiersAccess.do" titleKey="data.access.download.file" paramId="idJeu" paramProperty="jeuId">
									<nested:write property="nbFichiers"/>
									<nested:equal property="nbFichiers" value="1">
										<bean:message key="data.access.metadata.file" arg0=""/>
									</nested:equal>
									<nested:notEqual name="nbFichiers" value="1">
										<bean:message key="data.access.metadata.file" arg0="s"/>
									</nested:notEqual>
								</nested:link>
							</logic:present>)
						</nested:notEqual>
					</td>
				</tr>
			</nested:iterate>
		</table>
		<div class="hdp" align="right">
			<html:link page="/data/access/desc_plat.jsp" anchor="top" titleKey="app.hdp">
				<html:img page="/images/utils/hdp1.png"/>
			</html:link>
		</div>
		<div class="submit">
			<html:link page="/PlateformesAccess.do"><bean:message key="data.access.plat"/></html:link>
		</div>
	</tiles:put>
	</nested:root>
</tiles:insert>
