<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.medias.Calcul"%>
<%@ page import="java.util.ArrayList"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>
	<bean:define type="java.lang.String" id="contextPath" value="<%=request.getContextPath()%>"/>
	<tiles:put name="nav" value='<%=relativePath+"/navDatas.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access.extract2"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.access.extract2"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		
		<div id="errors"><html:errors/></div>
		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>

		<html:form action="/DataExtract">
	
		<nested:root name="datasForm">
		<table border="2" width="750px">
			<tr><td width="250px" rowspan="2" valign="top">
				<table width="100%">
					<tr>
						<th class="titleBox">
							<bean:message key="data.access.plat"/> (<span id="nbPlatsTxt"><bean:write name="datasForm" property="nbSelectedPlats"/></span>)
						</th>
					</tr>
					<tr>
						<td>
							<div style="height: 150px; overflow: auto" id="listPlateformes">
							<bean:define id="typePPrec" value=""/>
							<nested:iterate property="plateformes">
								<nested:define id="idP" property="plateformeId"/>
								<nested:define id="nomP" property="plateformeNom"/>
								<nested:define id="typeP" property="typePlateforme.typePlateformeNom"/>
								<logic:notEmpty name="datasForm" property="selectPlats">
									<logic:iterate name="datasForm" property="selectPlats" id="selPlat" indexId="platId">
										<logic:equal name="selPlat" value="${idP}">
											<logic:notEqual name="typeP" value="${typePPrec}">
												<div class="titleType">
													<logic:equal name="typeP" value="FIXED">
														<bean:message key="data.access.plat.fixe2"/>
													</logic:equal>
													<logic:equal name="typeP" value="MOBILE">
														<bean:message key="data.access.plat.mobile2"/>
													</logic:equal>
												</div>
											</logic:notEqual>
											<bean:define id="typePPrec" name="typeP" type="java.lang.String"/>
											<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(platId.intValue())%>"/>
											<logic:equal name="parite" value="pair"><bean:define id="classPlat" value="pair"/></logic:equal>
											<logic:equal name="parite" value="impair"><bean:define id="classPlat" value="impair"/></logic:equal>
											<table class="${classPlat}">
												<tr>
													<td nowrap style="font-size: 11px">
														<html:link page="/DescPlateforme.do" titleKey="data.access.plat4" paramName="idP" paramId="idPlat">
															<bean:write name="nomP"/>
														</html:link>
													</td>
												</tr>
											</table>										
										</logic:equal>
									</logic:iterate>
								</logic:notEmpty>
							</nested:iterate>
							</div>
						</td>
					</tr>
				</table>
			</td><td width="250px" rowspan="2" valign="top">
				<table width="100%">
					<tr>
						<th class="titleBox"><bean:message key="data.access.jeux"/> (<span id="nbJeuxTxt"><bean:write name="datasForm" property="nbSelectedJeux"/></span>)</th>
					</tr>
					<tr>
						<td>
							<div style="height: 150px; overflow: auto" id="listJeux">
							<bean:define id="catJPrec" value=""/>
							<nested:iterate property="jeux">
								<nested:define id="idJ" property="jeuId"/>
								<nested:define id="nomJ" property="jeuNom"/>
								<nested:define id="catJ" property="categorie.categorieNom"/>
								<logic:notEmpty name="datasForm" property="selectJeux">
									<logic:iterate name="datasForm" property="selectJeux" id="selJeu" indexId="jId">
										<logic:equal name="selJeu" value="${idJ}">
											<logic:notEqual name="catJ" value="${catJPrec}">
												<div class="titleType">
													<logic:equal name="catJ" value="AVION">
														<bean:message key="data.categ1"/>
													</logic:equal>
													<logic:equal name="catJ" value="SURF_FIXE">
														<bean:message key="data.categ2"/>
													</logic:equal>
													<logic:equal name="catJ" value="SURF_MOBILE">
														<bean:message key="data.categ3"/>
													</logic:equal>
												</div>
											</logic:notEqual>
											<bean:define id="catJPrec" name="catJ" type="java.lang.String"/>
											<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(jId.intValue())%>"/>
											<logic:equal name="parite" value="pair"><bean:define id="classJeu" value="pair"/></logic:equal>
											<logic:equal name="parite" value="impair"><bean:define id="classJeu" value="impair"/></logic:equal>
											<table class="${classJeu}">
												<tr>
													<td nowrap style="font-size: 11px">
														<html:link page="/MetadataInfo.do" paramName="idJ" paramId="idJeu" titleKey="data.access.metadata.link">
															<bean:write name="nomJ"/>
														</html:link>
													</td>
												</tr>
											</table>
										</logic:equal>
									</logic:iterate>
								</logic:notEmpty>
							</nested:iterate>
							</div>
						</td>
					</tr>
				</table>
			</td><td width="250px" valign="top">
				<table width="100%">
					<tr>
						<th class="titleBox" colspan="2"><bean:message key="data.access.period"/></th>
					</tr>
					<tr>
						<td class="titleType"><bean:message key="data.access.period.beg"/></td>
						<td><bean:write name="datasForm" property="dateDeb"/></td>
					</tr>
					<tr>
						<td class="titleType"><bean:message key="data.access.period.end"/></td>
						<td><bean:write name="datasForm" property="dateFin"/></td>
					</tr>
				</table>
			</td></tr>
			<tr><td valign="top">
				<table width="100%">
					<tr>
						<th class="titleBox" colspan="2"><bean:message key="data.access.loc"/></th>
					</tr>
					<tr>
						<td class="titleType"><bean:message key="data.access.plat.lat"/></td>
						<td nowrap><bean:message key="data.access.loc.inter"/> <bean:write name="datasForm" property="latMin"/><bean:message key="unit.deg"/> <bean:message key="data.access.loc.inter2"/> <bean:write name="datasForm" property="latMax"/><bean:message key="unit.deg"/></td>
					</tr>
					<tr>
						<td class="titleType"><bean:message key="data.access.plat.lon"/></td>
						<td nowrap><bean:message key="data.access.loc.inter"/> <bean:write name="datasForm" property="lonMin"/><bean:message key="unit.deg"/> <bean:message key="data.access.loc.inter2"/> <bean:write name="datasForm" property="lonMax"/><bean:message key="unit.deg"/></td>
					</tr>
				</table>
			</td></tr>
			<tr><td width="500px" colspan="2" valign="top">
				<table width="100%">
					<tr>
						<th class="titleBox"><bean:message key="data.access.param"/> (<span id="nbParamsTxt"><bean:write name="datasForm" property="nbSelectedParams"/></span>)</th>
					</tr>
					<tr>
						<td>
							<div style="height: 150px; overflow: auto" id="listParametres">
							<bean:define id="catParPrec" value=""/>
							<nested:iterate property="parametres">
								<nested:define id="idPar" property="parametreId"/>
								<nested:define id="nomPar" property="parametreNom"/>
								<nested:define id="codePar" property="parametreCode"/>
								<nested:define id="catPar" property="categorieParam.categorieParamNom"/>
								<logic:notEmpty name="datasForm" property="selectParams">
									<logic:iterate name="datasForm" property="selectParams" id="selParam" indexId="paramId">
										<logic:equal name="selParam" value="${idPar}">
											<logic:notEqual name="catPar" value="${catParPrec}">
												<div class="titleType"><bean:write name="catPar"/></div>
											</logic:notEqual>
											<bean:define id="catParPrec" name="catPar" type="java.lang.String"/>
											<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(paramId.intValue())%>"/>
											<logic:equal name="parite" value="pair"><bean:define id="classParam" value="pair"/></logic:equal>
											<logic:equal name="parite" value="impair"><bean:define id="classParam" value="impair"/></logic:equal>
											<table class="${classParam}">
												<tr>
													<td nowrap style="font-size: 11px">
														<html:link page="/DescParametre.do" titleKey="data.access.param4" paramName="idPar" paramId="idParam">
															<bean:write name="nomPar"/> (<bean:write name="codePar"/>)
														</html:link>
													</td>
												</tr>
											</table>										
										</logic:equal>
									</logic:iterate>
								</logic:notEmpty>
							</nested:iterate>
							</div>
						</td>
					</tr>
				</table>
			</td><td width="250px" valign="top">
				<table width="100%">
					<tr>
						<th class="titleBox"><bean:message key="data.access.capt"/> (<span id="nbCaptsTxt"><bean:write name="datasForm" property="nbSelectedCapts"/></span>)</th>
					</tr>
					<tr>
						<td>
							<div style="height: 150px; overflow: auto" id="listCapteurs">
							<bean:define id="typeCPrec" value=""/>
							<nested:iterate property="capteurs">
								<nested:define id="idC" property="capteurId"/>
								<nested:define id="modeleC" property="capteurModele"/>
								<nested:define id="typeC" property="typeCapteur.typeCapteurNom"/>
								<logic:notEmpty name="datasForm" property="selectCapts">
									<logic:iterate name="datasForm" property="selectCapts" id="selCapt" indexId="captId">
										<logic:equal name="selCapt" value="${idC}">
											<logic:notEqual name="typeC" value="${typeCPrec}">
												<div class="titleType"><bean:write name="typeC"/></div>
											</logic:notEqual>
											<bean:define id="typeCPrec" name="typeC" type="java.lang.String"/>
											<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(captId.intValue())%>"/>
											<logic:equal name="parite" value="pair"><bean:define id="classCapt" value="pair"/></logic:equal>
											<logic:equal name="parite" value="impair"><bean:define id="classCapt" value="impair"/></logic:equal>
											<table class="${classCapt}">
												<tr>
													<td nowrap style="font-size: 11px">
														<html:link page="/DescCapteur.do" titleKey="data.access.capt4" paramName="idC" paramId="idCapt">
															<bean:write name="modeleC"/>
														</html:link>
													</td>
												</tr>
											</table>										
										</logic:equal>
									</logic:iterate>
								</logic:notEmpty>
							</nested:iterate>
							</div>
						</td>
					</tr>
				</table>
			</td></tr>
			<tr><th align="left" class="titleBox">
				<bean:define id="nbVals" name="datasForm" property="nbValeurs"/>
				<logic:equal name="nbVals" value="0">
					<bean:define id="colorNb" value="red"/>
				</logic:equal>
				<logic:notEqual name="nbVals" value="0">
					<bean:define id="colorNb" value="green"/>
				</logic:notEqual>
				<font color="${colorNb}"><bean:write name="nbVals" format="#,##0"/></font>
				<logic:equal name="nbVals" value="1">
					<bean:message key="data.access.nbval" arg0=""/>
				</logic:equal>
				<logic:notEqual name="nbVals" value="1">
					<bean:message key="data.access.nbval" arg0="s"/>
				</logic:notEqual>
			</th><th class="titleBox">
				<bean:message key="data.access.output"/>
				<html:select property="output">
					<html:option value="NASA-AMES">NASA-Ames 1001</html:option>
					<html:option value="NETCDF">NetCDF</html:option>
				</html:select>
			</th><th class="titleBox">
				<bean:message key="data.access.compression"/>
				<html:select property="compression">
					<html:option value="None"></html:option>
					<html:option value="zip"></html:option>
					<html:option value="tgz"></html:option>
				</html:select>
			</th></tr>
		</table>
<script type="text/javascript">
	var extractDatasConfirm = '<bean:message key="data.access.extract.confirm" arg0="${nbVals}"/>';
</script>
		<table width="750px">
			<tr><td align="right" style="color: red">
				<html:cancel><bean:message key="app.cancel"/></html:cancel>
				<logic:equal name="nbVals" value="0">
					<bean:message key="errors.access.novalues"/>
				</logic:equal>
				<logic:notEqual name="nbVals" value="0">
					<%--bean:message key="app.provisoire"/--%>
					<html:submit onclick="return confirm(extractDatasConfirm)"><bean:message key="app.submit"/></html:submit>
				</logic:notEqual>
			</td></tr>
		</table>
		<%--div class="hdp" align="right">
			<html:link page="/data/access/extract2.jsp" anchor="top" titleKey="app.hdp">
				<html:img page="/images/utils/hdp1.png"/>
			</html:link>
		</div--%>
		</nested:root>
		</html:form>
	</tiles:put>
</tiles:insert>
