<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/navFiles.jsp"%>'/>
	<nested:root name="fichiersForm">
	<nested:define id="nomJeu" property="nomJeu"/>
	<nested:define id="nomCateg" property="nomCategorie"/>
	<bean:define id="path" value="${nomCateg}/${nomJeu}"/>
	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access.files2" arg0="${nomJeu}"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message arg0="${nomJeu}" key="data.access.files"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		<div id="errors"><html:errors/></div>
		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		
		<%--div class="submit">
			<html:link page="/JeuxAccess.do"><bean:message key="data.access.jeux"/></html:link>
		</div--%>
		
		<table>
			<tr><th>
				<nested:size id="nbFiles" property="fichiers"/>
				<bean:write name="nbFiles"/>
				<logic:equal name="nbFiles" value="1">
					<bean:message key="data.access.files3" arg0=""/>
				</logic:equal>
				<logic:notEqual name="nbFiles" value="1">
					<bean:message key="data.access.files3" arg0="s"/>
				</logic:notEqual>
			</th></tr>
			<tr><td>
			<%--logic:present name="SES_USER" scope="session"--%>
				<html:link titleKey="data.access.downloading" page="/ZipGame.do" paramId="path" paramName="path">
					<html:img page="/images/utils/text.png" alt="file"/>
					<bean:message arg0="${nomJeu}" key="data.access.files.dowload.zip"/>
				</html:link>
			<%--/logic:present>
			<logic:notPresent name="SES_USER" scope="session">
				<html:link titleKey="data.access.downloading.logon" page="/InitLogonAccess.do" paramName="access" paramId="source">
					<html:img page="/images/utils/text.png" alt="file"/>
					<bean:message arg0="${nomJeu}" key="data.access.files.dowload.zip"/>
				</html:link>
			</logic:notPresent--%>
			</td></tr>

			<nested:iterate property="fichiers" indexId="fId">
			<tr><td>
				<html:img page="/images/utils/text.png" alt="file"/>
				<nested:define id="file" property="fichierNom"/>
				<bean:define id="pathFile" value="${path}/${file}"/>
				<html:link titleKey="data.access.downloading" page="/SendFileToClient.do" paramId="path" paramName="pathFile">
					<nested:write property="fichierNom"/>
				</html:link>
			</td></tr>
			</nested:iterate>
		</table>
		
		<div class="hdp" align="right">
			<html:link page="/data/access/files.jsp" anchor="top" titleKey="app.hdp">
				<html:img page="/images/utils/hdp1.png"/>
			</html:link>
		</div>
		<div class="submit">
			<html:link page="/JeuxAccess.do"><bean:message key="data.access.jeux"/></html:link>
		</div>
		
	</tiles:put>
	</nested:root>
	
</tiles:insert>
