<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page import="com.medias.Calcul"%>
<%@ page import="java.util.ArrayList"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/navParams.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.access.param"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.access.param"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		
		<div id="errors"><html:errors/></div>
		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		
		<%--div class="submit">
			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
		</div--%>
		
		<nested:root name="parametresForm">
		<table>
			<tr><th/>
				<%--nested:define id="b_parametres" property="parametres"/>
				<bean:define type="java.lang.String" id="nbParametres" value="<%=(new Integer(((ArrayList)b_parametres).size())).toString()%>"/--%>
				<nested:size id="nbParametres" property="parametres"/>
				<bean:write name="nbParametres"/>
				<logic:equal name="nbParametres" value="1">
					<bean:message key="data.access.param2" arg0=""/>
				</logic:equal>
				<logic:notEqual name="nbParametres" value="1">
					<bean:message key="data.access.param2" arg0="s"/>
				</logic:notEqual>
			</th></tr>

			<bean:define id="nomCatPrec" value=""/>
			<nested:iterate property="parametres" indexId="paramId">
				<nested:nest property="categorieParam">
					<nested:define id="nomCat" property="categorieParamNom"/>
				</nested:nest>
				<tr><td>
					<nested:notEqual name="nomCat" value="${nomCatPrec}">
						<div id="messages"><bean:write name="nomCat"/>&nbsp;:</div>
					</nested:notEqual>
					<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(paramId.intValue())%>"/>
					<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
					<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
					<table class="${idP}" style="margin-left: 20px">
						<tr>
							<td style="width:155px;" nowrap>
								<nested:define id="id" property="parametreId"/>
								<html:link page="/DescParametre.do" titleKey="data.access.param4" paramName="id" paramId="idParam">
									<nested:write property="parametreNom"/> (<nested:write property="parametreCode"/>)
								</html:link>
							</td>
						</tr>
					</table>
					<bean:define id="nomCatPrec" value="${nomCat}"/>
				</td></tr>
			</nested:iterate>
		</table>

		<div class="hdp" align="right">
			<html:link page="/data/access/param.jsp" anchor="top" titleKey="app.hdp">
				<html:img page="/images/utils/hdp1.png"/>
			</html:link>
		</div>
		</nested:root>

		<%--div class="submit">
			<html:link page="/data/access/access.jsp"><bean:message key="data.access"/></html:link>
		</div--%>
		
	</tiles:put>
</tiles:insert>
