<%@ page import="com.medias.Context" contentType="text/html; charset=UTF-8"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"%>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.authentification"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.authentification"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		<bean:message key="data.authentification.intro"/>
		<div id="errors"><html:errors/></div>
		<hr/>
		<div id="login">
			<html:form action="/Logon">
				<table>
					<tr>
						<td><bean:message key="data.authentification.login"/> : </td>
						<td><html:text property="login"/></td>
<%--						<td>&nbsp;</td> --%>
					</tr>
					<tr>
						<td><bean:message key="data.authentification.pwd"/> : </td>
						<td><html:password property="pwd"/></td>
<%--						<td>&nbsp;</td> --%>
					</tr>
					<tr>
<%--						<td>&nbsp;</td> --%>
						<td>&nbsp;</td>
						<td align="right">
							<html:submit><bean:message key="app.submit"/></html:submit>
							<html:cancel><bean:message key="app.cancel"/></html:cancel>
						</td>						
					</tr>
				</table>
			</html:form>
		</div>
	</tiles:put>
 </tiles:insert>