<%@ page language="java" import="com.medias.*" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.upload"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.upload.newSet.title"/>
	</tiles:put>

	<tiles:put name="body" type="string">

		<div id="messages">
			<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
				<bean:write name="mess"/>
			</html:messages>
		</div>
		<div id="errors"><html:errors/></div>
		
		<html:form action="/NewSet">
			&nbsp;
			<nested:nest property="metadata">
				<div id="level2">
					<div class="title"><bean:message key="data.upload.metadata.presentation"/></div>
					<nested:nest property="pres">
						<div id="level2">
							<table>
								<tr>
									<td><bean:message key="data.upload.metadata.presentation.nom"/> * : </td>
									<td><nested:text property="nom"/></td>	
								</tr>
								<tr>				
									<td><bean:message key="data.upload.metadata.presentation.def"/> : </td>
									<td><nested:textarea property="def" rows="10" cols="70"/></td>
								</tr>					
								<tr>
									<td rowspan="2"><bean:message key="data.upload.metadata.presentation.dest"/> * : </td>
									<td>
										<nested:radio property="dest" value="SGBD">
											<bean:message key="data.upload.metadata.presentation.dest.sgbd"/>
										</nested:radio>
									</td>
								</tr>
								<tr>
									<td>
										<nested:radio property="dest" value="FTP">
											<bean:message key="data.upload.metadata.presentation.dest.ftp"/>
										</nested:radio>		
									</td>
								</tr>
								<tr>
									<td rowspan="3"><bean:message key="data.upload.metadata.presentation.cat"/> * : </td>
									<td><nested:radio property="cat" value="AVION"><bean:message key="data.categ1"/></nested:radio></td>
								</tr>
								<tr><td><nested:radio property="cat" value="SURF_FIXE"><bean:message key="data.categ2"/></nested:radio></td></tr>
								<tr><td><nested:radio property="cat" value="SURF_MOBILE"><bean:message key="data.categ3"/></nested:radio></td></tr>
							</table>
							<br><br>
							<table>
								<tr><th><bean:message key="data.upload.metadata.contacts"/></th></tr>
								<tr><td>
									<nested:iterate property="contacts" indexId="persId">
										<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(persId.intValue())%>"/>
										<bean:define id="numPers" value='<%=""+(((Integer)persId).intValue()+1)%>'/>
										<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
										<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
										<table class="${idP}">
											<tr>
												<td rowspan="8">&nbsp;<bean:message key="data.upload.metadata.contact"/> <bean:write name="numPers"/></td>
												<td><bean:message key="data.upload.metadata.contact.nom"/> : </td>
												<td><nested:text property="nom"/></td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.contact.prenom"/> : </td>
												<td><nested:text property="prenom"/></td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.contact.org"/> : </td>
												<td><nested:text property="organisme"/></td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.contact.mail"/> * : </td>
												<td><nested:text property="mail"/></td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td><bean:message key="data.upload.metadata.contact.mdp"/> * : </td>
												<td><nested:text property="mdp"/></td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td rowspan="3"><bean:message key="data.upload.metadata.contact.role"/> * : </td>
												<td><nested:radio property="role" value="default"><bean:message key="data.upload.metadata.description.default"/></nested:radio></td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td><nested:radio property="role" value="pi"><bean:message key="data.upload.metadata.description.pi"/></nested:radio></td>
												<td>&nbsp;</td>
											</tr>
											<tr>
												<td><nested:radio property="role" value="tech"><bean:message key="data.upload.metadata.description.tech"/></nested:radio></td>
												<td><html:image alt="delete" indexed="true" page="/images/utils/delete.png" property="mess" value="deletePers" titleKey="data.upload.metadata.deletePers"/></td>
											</tr>
										</table>
									</nested:iterate>
								</td></tr>
								<tr><td>
									<html:submit property="mess[0]" styleClass="add">
										<bean:message key="data.upload.metadata.newPers"/>
									</html:submit>
								</td></tr>
							</table>
						</div>
					</nested:nest>
				
					<div class="legende">* <bean:message key="app.mandatory"/></div>
				
					<div class="submit">
						<html:submit property="mess[0]"><bean:message key="app.submit"/></html:submit>
						<html:cancel><bean:message key="app.cancel"/></html:cancel>
					</div>																
				</div>
			</nested:nest>
		</html:form>
		
	</tiles:put>
</tiles:insert>
	