<%@ page language="java" import="com.medias.*" %>
<%@ taglib uri="/WEB-INF/tlds/struts-tiles.tld" prefix="tiles"%>
<%@ taglib uri="/WEB-INF/tlds/struts-html.tld" prefix="html"%>
<%@ taglib uri="/WEB-INF/tlds/struts-bean.tld" prefix="bean"%>
<%@ taglib uri="/WEB-INF/tlds/struts-logic.tld" prefix="logic"%>
<%@ taglib uri="/WEB-INF/tlds/struts-nested.tld" prefix="nested"%>

<tiles:insert page="/resources/templates/template.jsp" flush="true">

	<bean:define type="java.lang.String" id="relativePath" value="<%=Context.getRelativePath(request)%>"/>

	<tiles:put name="nav" value='<%=relativePath+"/nav.jsp"%>'/>

	<tiles:put name="title" type="string">
		<bean:message key="app.title"/> - <bean:message key="data.upload"/>
	</tiles:put>

	<tiles:put name="bodytitle" type="string">
		<bean:message key="data.upload.newSet.title"/>
	</tiles:put>

	<tiles:put name="body" type="string">
		<html:form action="/NewSetMails">

			<div id="messages">
				<html:messages id="mess2" property="warning" message="true">
					<bean:write name="mess2"/><br/>
				</html:messages>
				<html:messages id="mess" property="<%= org.apache.struts.action.ActionMessages.GLOBAL_MESSAGE %>" message="true">
					<bean:write name="mess"/>
				</html:messages>
			</div>
			<div id="errors"><html:errors/></div>
		
			<nested:iterate property="mails" indexId="mailId">
				<bean:define type="java.lang.String" id="parite" value="<%=Calcul.getParite(mailId.intValue())%>"/>
					<logic:equal name="parite" value="pair"><bean:define id="idP" value="pair"/></logic:equal>
					<logic:equal name="parite" value="impair"><bean:define id="idP" value="impair"/></logic:equal>
					<table class="${idP}">
					<tr>
						<th>Subject : </th>
						<th><nested:write property="subject"/></th>
					</tr>
					<tr>
						<td>From : </td>
						<td><nested:write property="from"/></td>
					</tr>
					<tr>
						<td>To : </td>
						<td><nested:write property="to"/></td>
					</tr>
					<tr>
						<td colspan="2"><nested:textarea cols="100" rows="20" property="content"/></td>
					</tr>
					<tr>
						<td colspan="2">&nbsp;</td>
					</tr>
				</table>
			</nested:iterate>
			<br>
			<div class="submit">
				<html:submit>OK</html:submit>
			</div>	

		</html:form>
		<br><br>
	</tiles:put>
</tiles:insert>
	